import{S as Ml,i as El,s as kl,e as a,k as f,w as b,t as r,M as yl,c as o,d as t,m as i,a as n,x as $,h as l,b as c,G as e,g,y as P,q as j,o as q,B as M,v as wl,L as da}from"../../chunks/vendor-hf-doc-builder.js";import{D as S}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ma}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as bt}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ca}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Cl(N){let h,y,v,m,k;return m=new ma({props:{code:`from transformers import AutoModelForSequenceClassification
from peft import PeftModelForSequenceClassification, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "SEQ_CLS",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 768,
    "num_transformer_submodules": 1,
    "num_attention_heads": 12,
    "num_layers": 12,
    "encoder_hidden_size": 768,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForSequenceClassification.from_pretrained("bert-base-cased")
peft_model = PeftModelForSequenceClassification(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForSequenceClassification, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;SEQ_CLS&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForSequenceClassification(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">370178</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">108680450</span> || trainable%: <span class="hljs-number">0.3406113979101117</span>`}}),{c(){h=a("p"),y=r("Example:"),v=f(),b(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),v=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,v,u),P(m,p,u),k=!0},p:da,i(p){k||(j(m.$$.fragment,p),k=!0)},o(p){q(m.$$.fragment,p),k=!1},d(p){p&&t(h),p&&t(v),M(m,p)}}}function Ll(N){let h,y,v,m,k;return m=new ma({props:{code:`from transformers import AutoModelForSequenceClassification
from peft import PeftModelForTokenClassification, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "TOKEN_CLS",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 768,
    "num_transformer_submodules": 1,
    "num_attention_heads": 12,
    "num_layers": 12,
    "encoder_hidden_size": 768,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForTokenClassification.from_pretrained("bert-base-cased")
peft_model = PeftModelForTokenClassification(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForTokenClassification, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;TOKEN_CLS&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForTokenClassification(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">370178</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">108680450</span> || trainable%: <span class="hljs-number">0.3406113979101117</span>`}}),{c(){h=a("p"),y=r("Example:"),v=f(),b(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),v=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,v,u),P(m,p,u),k=!0},p:da,i(p){k||(j(m.$$.fragment,p),k=!0)},o(p){q(m.$$.fragment,p),k=!1},d(p){p&&t(h),p&&t(v),M(m,p)}}}function Fl(N){let h,y,v,m,k;return m=new ma({props:{code:`from transformers import AutoModelForCausalLM
from peft import PeftModelForCausalLM, get_peft_config

config = {
    "peft_type": "PREFIX_TUNING",
    "task_type": "CAUSAL_LM",
    "inference_mode": False,
    "num_virtual_tokens": 20,
    "token_dim": 1280,
    "num_transformer_submodules": 1,
    "num_attention_heads": 20,
    "num_layers": 36,
    "encoder_hidden_size": 1280,
    "prefix_projection": False,
    "postprocess_past_key_value_function": None,
}

peft_config = get_peft_config(config)
model = AutoModelForCausalLM.from_pretrained("gpt2-large")
peft_model = PeftModelForCausalLM(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForCausalLM, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;CAUSAL_LM&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_virtual_tokens&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;token_dim&quot;</span>: <span class="hljs-number">1280</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_transformer_submodules&quot;</span>: <span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_attention_heads&quot;</span>: <span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;num_layers&quot;</span>: <span class="hljs-number">36</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;encoder_hidden_size&quot;</span>: <span class="hljs-number">1280</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;prefix_projection&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;postprocess_past_key_value_function&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;gpt2-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForCausalLM(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">1843200</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">775873280</span> || trainable%: <span class="hljs-number">0.23756456724479544</span>`}}),{c(){h=a("p"),y=r("Example:"),v=f(),b(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),v=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,v,u),P(m,p,u),k=!0},p:da,i(p){k||(j(m.$$.fragment,p),k=!0)},o(p){q(m.$$.fragment,p),k=!1},d(p){p&&t(h),p&&t(v),M(m,p)}}}function Sl(N){let h,y,v,m,k;return m=new ma({props:{code:`from transformers import AutoModelForSeq2SeqLM
from peft import PeftModelForSeq2SeqLM, get_peft_config

config = {
    "peft_type": "LORA",
    "task_type": "SEQ_2_SEQ_LM",
    "inference_mode": False,
    "r": 8,
    "target_modules": ["q", "v"],
    "lora_alpha": 32,
    "lora_dropout": 0.1,
    "merge_weights": False,
    "fan_in_fan_out": False,
    "enable_lora": None,
    "bias": "none",
}

peft_config = get_peft_config(config)
model = AutoModelForSeq2SeqLM.from_pretrained("t5-base")
peft_model = PeftModelForSeq2SeqLM(model, peft_config)
peft_model.print_trainable_parameters()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSeq2SeqLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PeftModelForSeq2SeqLM, get_peft_config

<span class="hljs-meta">&gt;&gt;&gt; </span>config = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;peft_type&quot;</span>: <span class="hljs-string">&quot;LORA&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;task_type&quot;</span>: <span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;inference_mode&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;r&quot;</span>: <span class="hljs-number">8</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;target_modules&quot;</span>: [<span class="hljs-string">&quot;q&quot;</span>, <span class="hljs-string">&quot;v&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;lora_alpha&quot;</span>: <span class="hljs-number">32</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;lora_dropout&quot;</span>: <span class="hljs-number">0.1</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;merge_weights&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;fan_in_fan_out&quot;</span>: <span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;enable_lora&quot;</span>: <span class="hljs-literal">None</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;bias&quot;</span>: <span class="hljs-string">&quot;none&quot;</span>,
<span class="hljs-meta">... </span>}

<span class="hljs-meta">&gt;&gt;&gt; </span>peft_config = get_peft_config(config)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;t5-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model = PeftModelForSeq2SeqLM(model, peft_config)
<span class="hljs-meta">&gt;&gt;&gt; </span>peft_model.print_trainable_parameters()
trainable params: <span class="hljs-number">884736</span> || <span class="hljs-built_in">all</span> params: <span class="hljs-number">223843584</span> || trainable%: <span class="hljs-number">0.3952474242013566</span>`}}),{c(){h=a("p"),y=r("Example:"),v=f(),b(m.$$.fragment)},l(p){h=o(p,"P",{});var u=n(h);y=l(u,"Example:"),u.forEach(t),v=i(p),$(m.$$.fragment,p)},m(p,u){g(p,h,u),e(h,y),g(p,v,u),P(m,p,u),k=!0},p:da,i(p){k||(j(m.$$.fragment,p),k=!0)},o(p){q(m.$$.fragment,p),k=!1},d(p){p&&t(h),p&&t(v),M(m,p)}}}function Tl(N){let h,y,v,m,k,p,u,$t,ga,ks,T,ot,ha,ua,Pt,_a,va,nt,ba,$a,ys,H,J,jt,Me,Pa,qt,ja,ws,_,Ee,qa,Mt,Ma,Ea,rt,Et,ka,ya,wa,w,W,kt,Ca,La,ke,Fa,Sa,Ta,Y,yt,Aa,xa,lt,Na,Oa,Da,O,wt,Ia,Ra,Ct,Ga,Va,Lt,Ua,Ha,Ba,D,Ft,za,Qa,pt,Xa,Ka,ft,Ja,Wa,Ya,I,St,Za,eo,Tt,to,so,it,ao,oo,no,R,At,ro,lo,xt,po,fo,ct,io,co,mo,G,Nt,go,ho,Ot,uo,_o,dt,vo,bo,$o,Z,ye,Po,Dt,jo,qo,ee,we,Mo,It,Eo,ko,te,Ce,yo,Le,wo,mt,Co,Lo,Fo,se,Fe,So,Rt,To,Ao,ae,Se,xo,Te,No,Gt,Oo,Do,Io,oe,Ae,Ro,xe,Go,Vt,Vo,Uo,Ho,ne,Ne,Bo,Ut,zo,Qo,re,Oe,Xo,B,Ko,Ht,Jo,Wo,Bt,Yo,Zo,en,le,De,tn,zt,sn,Cs,z,pe,Qt,Ie,an,Xt,on,Ls,fe,nn,Kt,rn,ln,Fs,C,Re,pn,Jt,fn,cn,gt,Wt,dn,mn,gn,Ge,ie,Yt,hn,un,Ve,_n,vn,bn,ce,Zt,$n,Pn,es,jn,qn,Mn,de,Ss,Q,me,ts,Ue,En,ss,kn,Ts,ge,yn,as,wn,Cn,As,L,He,Ln,os,Fn,Sn,ht,ns,Tn,An,xn,Be,he,rs,Nn,On,ze,Dn,In,Rn,ue,ls,Gn,Vn,ps,Un,Hn,Bn,_e,xs,X,ve,fs,Qe,zn,is,Qn,Ns,be,Xn,cs,Kn,Jn,Os,A,Xe,Wn,ds,Yn,Zn,$e,Ds,K,Pe,ms,Ke,er,gs,tr,Is,je,sr,hs,ar,or,Rs,x,Je,nr,us,rr,lr,qe,Gs;return p=new bt({}),Me=new bt({}),Ee=new S({props:{name:"class peft.PeftModel",anchor:"peft.PeftModel",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"},{name:"adapter_name",val:" = 'default'"}],parametersDescription:[{anchor:"peft.PeftModel.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; The base transformer model used for Peft.',name:"model"},{anchor:"peft.PeftModel.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; The configuration of the Peft model.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L56"}}),ye=new S({props:{name:"disable_adapter",anchor:"peft.PeftModel.disable_adapter",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L289"}}),we=new S({props:{name:"forward",anchor:"peft.PeftModel.forward",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L283"}}),Ce=new S({props:{name:"from_pretrained",anchor:"peft.PeftModel.from_pretrained",parameters:[{name:"model",val:""},{name:"model_id",val:""},{name:"adapter_name",val:" = 'default'"},{name:"is_trainable",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.PeftModel.from_pretrained.model",description:`<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014;
The model to be adapted. The model should be initialized with the
<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained" rel="nofollow">from_pretrained</a> method from the &#x1F917; Transformers library.`,name:"model"},{anchor:"peft.PeftModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
The name of the Lora configuration to use. Can be either:<ul>
<li>A string, the <code>model id</code> of a Lora configuration hosted inside a model repo on the Hugging Face
Hub.</li>
<li>A path to a directory containing a Lora configuration file saved using the <code>save_pretrained</code>
method (<code>./my_lora_config_directory/</code>).</li>
</ul>`,name:"model_id"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L135"}}),Fe=new S({props:{name:"get_base_model",anchor:"peft.PeftModel.get_base_model",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L305"}}),Se=new S({props:{name:"get_prompt",anchor:"peft.PeftModel.get_prompt",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L221"}}),Ae=new S({props:{name:"get_prompt_embedding_to_save",anchor:"peft.PeftModel.get_prompt_embedding_to_save",parameters:[{name:"adapter_name",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L210"}}),Ne=new S({props:{name:"print_trainable_parameters",anchor:"peft.PeftModel.print_trainable_parameters",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L257"}}),Oe=new S({props:{name:"save_pretrained",anchor:"peft.PeftModel.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.PeftModel.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
Directory where the adapter model and configuration files will be saved (will be created if it does not
exist).`,name:"save_directory"},{anchor:"peft.PeftModel.save_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the <code>push_to_hub</code> method.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L97"}}),De=new S({props:{name:"set_adapter",anchor:"peft.PeftModel.set_adapter",parameters:[{name:"adapter_name",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L405"}}),Ie=new bt({}),Re=new S({props:{name:"class peft.PeftModelForSequenceClassification",anchor:"peft.PeftModelForSequenceClassification",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"},{name:"adapter_name",val:" = 'default'"}],parametersDescription:[{anchor:"peft.PeftModelForSequenceClassification.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForSequenceClassification.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L421"}}),de=new ca({props:{anchor:"peft.PeftModelForSequenceClassification.example",$$slots:{default:[Cl]},$$scope:{ctx:N}}}),Ue=new bt({}),He=new S({props:{name:"class peft.PeftModelForTokenClassification",anchor:"peft.PeftModelForTokenClassification",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig = None"},{name:"adapter_name",val:" = 'default'"}],parametersDescription:[{anchor:"peft.PeftModelForTokenClassification.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForTokenClassification.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L993"}}),_e=new ca({props:{anchor:"peft.PeftModelForTokenClassification.example",$$slots:{default:[Ll]},$$scope:{ctx:N}}}),Qe=new bt({}),Xe=new S({props:{name:"class peft.PeftModelForCausalLM",anchor:"peft.PeftModelForCausalLM",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"},{name:"adapter_name",val:" = 'default'"}],parametersDescription:[{anchor:"peft.PeftModelForCausalLM.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForCausalLM.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L609"}}),$e=new ca({props:{anchor:"peft.PeftModelForCausalLM.example",$$slots:{default:[Fl]},$$scope:{ctx:N}}}),Ke=new bt({}),Je=new S({props:{name:"class peft.PeftModelForSeq2SeqLM",anchor:"peft.PeftModelForSeq2SeqLM",parameters:[{name:"model",val:""},{name:"peft_config",val:": PeftConfig"},{name:"adapter_name",val:" = 'default'"}],parametersDescription:[{anchor:"peft.PeftModelForSeq2SeqLM.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; Base transformer model.',name:"model"},{anchor:"peft.PeftModelForSeq2SeqLM.peft_config",description:'<strong>peft_config</strong> (<a href="/docs/peft/main/en/package_reference/config#peft.PeftConfig">PeftConfig</a>) &#x2014; Peft config.',name:"peft_config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/peft_model.py#L794"}}),qe=new ca({props:{anchor:"peft.PeftModelForSeq2SeqLM.example",$$slots:{default:[Sl]},$$scope:{ctx:N}}}),{c(){h=a("meta"),y=f(),v=a("h1"),m=a("a"),k=a("span"),b(p.$$.fragment),u=f(),$t=a("span"),ga=r("Models"),ks=f(),T=a("p"),ot=a("a"),ha=r("PeftModel"),ua=r(" is the base model class for specifying the base Transformer model and configuration to apply a PEFT method to. The base "),Pt=a("code"),_a=r("PeftModel"),va=r(" contains methods for loading and saving models from the Hub, and supports the "),nt=a("a"),ba=r("PromptEncoder"),$a=r(" for prompt learning."),ys=f(),H=a("h2"),J=a("a"),jt=a("span"),b(Me.$$.fragment),Pa=f(),qt=a("span"),ja=r("PeftModel"),ws=f(),_=a("div"),b(Ee.$$.fragment),qa=f(),Mt=a("p"),Ma=r("Base model encompassing various Peft methods."),Ea=f(),rt=a("p"),Et=a("strong"),ka=r("Attributes"),ya=r(":"),wa=f(),w=a("ul"),W=a("li"),kt=a("strong"),Ca=r("base_model"),La=r(" ("),ke=a("a"),Fa=r("PreTrainedModel"),Sa=r(") \u2014 The base transformer model used for Peft."),Ta=f(),Y=a("li"),yt=a("strong"),Aa=r("peft_config"),xa=r(" ("),lt=a("a"),Na=r("PeftConfig"),Oa=r(") \u2014 The configuration of the Peft model."),Da=f(),O=a("li"),wt=a("strong"),Ia=r("modules_to_save"),Ra=r(" ("),Ct=a("code"),Ga=r("list"),Va=r(" of "),Lt=a("code"),Ua=r("str"),Ha=r(`) \u2014 The list of sub-module names to save when
saving the model.`),Ba=f(),D=a("li"),Ft=a("strong"),za=r("prompt_encoder"),Qa=r(" ("),pt=a("a"),Xa=r("PromptEncoder"),Ka=r(`) \u2014 The prompt encoder used for Peft if
using `),ft=a("a"),Ja=r("PromptLearningConfig"),Wa=r("."),Ya=f(),I=a("li"),St=a("strong"),Za=r("prompt_tokens"),eo=r(" ("),Tt=a("code"),to=r("torch.Tensor"),so=r(`) \u2014 The virtual prompt tokens used for Peft if
using `),it=a("a"),ao=r("PromptLearningConfig"),oo=r("."),no=f(),R=a("li"),At=a("strong"),ro=r("transformer_backbone_name"),lo=r(" ("),xt=a("code"),po=r("str"),fo=r(`) \u2014 The name of the transformer
backbone in the base model if using `),ct=a("a"),io=r("PromptLearningConfig"),co=r("."),mo=f(),G=a("li"),Nt=a("strong"),go=r("word_embeddings"),ho=r(" ("),Ot=a("code"),uo=r("torch.nn.Embedding"),_o=r(`) \u2014 The word embeddings of the transformer backbone
in the base model if using `),dt=a("a"),vo=r("PromptLearningConfig"),bo=r("."),$o=f(),Z=a("div"),b(ye.$$.fragment),Po=f(),Dt=a("p"),jo=r("Disables the adapter module."),qo=f(),ee=a("div"),b(we.$$.fragment),Mo=f(),It=a("p"),Eo=r("Forward pass of the model."),ko=f(),te=a("div"),b(Ce.$$.fragment),yo=f(),Le=a("p"),wo=r("Instantiate a "),mt=a("a"),Co=r("LoraModel"),Lo=r(" from a pretrained Lora configuration and weights."),Fo=f(),se=a("div"),b(Fe.$$.fragment),So=f(),Rt=a("p"),To=r("Returns the base model."),Ao=f(),ae=a("div"),b(Se.$$.fragment),xo=f(),Te=a("p"),No=r("Returns the virtual prompts to use for Peft. Only applicable when "),Gt=a("code"),Oo=r("peft_config.peft_type != PeftType.LORA"),Do=r("."),Io=f(),oe=a("div"),b(Ae.$$.fragment),Ro=f(),xe=a("p"),Go=r("Returns the prompt embedding to save when saving the model. Only applicable when "),Vt=a("code"),Vo=r("peft_config.peft_type != PeftType.LORA"),Uo=r("."),Ho=f(),ne=a("div"),b(Ne.$$.fragment),Bo=f(),Ut=a("p"),zo=r("Prints the number of trainable parameters in the model."),Qo=f(),re=a("div"),b(Oe.$$.fragment),Xo=f(),B=a("p"),Ko=r(`This function saves the adapter model and the adapter configuration files to a directory, so that it can be
reloaded using the `),Ht=a("code"),Jo=r("LoraModel.from_pretrained"),Wo=r(" class method, and also used by the "),Bt=a("code"),Yo=r("LoraModel.push_to_hub"),Zo=r(`
method.`),en=f(),le=a("div"),b(De.$$.fragment),tn=f(),zt=a("p"),sn=r("Sets the active adapter."),Cs=f(),z=a("h2"),pe=a("a"),Qt=a("span"),b(Ie.$$.fragment),an=f(),Xt=a("span"),on=r("PeftModelForSequenceClassification"),Ls=f(),fe=a("p"),nn=r("A "),Kt=a("code"),rn=r("PeftModel"),ln=r(" for sequence classification tasks."),Fs=f(),C=a("div"),b(Re.$$.fragment),pn=f(),Jt=a("p"),fn=r("Peft model for sequence classification tasks."),cn=f(),gt=a("p"),Wt=a("strong"),dn=r("Attributes"),mn=r(":"),gn=f(),Ge=a("ul"),ie=a("li"),Yt=a("strong"),hn=r("config"),un=r(" ("),Ve=a("a"),_n=r("PretrainedConfig"),vn=r(") \u2014 The configuration object of the base model."),bn=f(),ce=a("li"),Zt=a("strong"),$n=r("cls_layer_name"),Pn=r(" ("),es=a("code"),jn=r("str"),qn=r(") \u2014 The name of the classification layer."),Mn=f(),b(de.$$.fragment),Ss=f(),Q=a("h2"),me=a("a"),ts=a("span"),b(Ue.$$.fragment),En=f(),ss=a("span"),kn=r("PeftModelForTokenClassification"),Ts=f(),ge=a("p"),yn=r("A "),as=a("code"),wn=r("PeftModel"),Cn=r(" for token classification tasks."),As=f(),L=a("div"),b(He.$$.fragment),Ln=f(),os=a("p"),Fn=r("Peft model for token classification tasks."),Sn=f(),ht=a("p"),ns=a("strong"),Tn=r("Attributes"),An=r(":"),xn=f(),Be=a("ul"),he=a("li"),rs=a("strong"),Nn=r("config"),On=r(" ("),ze=a("a"),Dn=r("PretrainedConfig"),In=r(") \u2014 The configuration object of the base model."),Rn=f(),ue=a("li"),ls=a("strong"),Gn=r("cls_layer_name"),Vn=r(" ("),ps=a("code"),Un=r("str"),Hn=r(") \u2014 The name of the classification layer."),Bn=f(),b(_e.$$.fragment),xs=f(),X=a("h2"),ve=a("a"),fs=a("span"),b(Qe.$$.fragment),zn=f(),is=a("span"),Qn=r("PeftModelForCausalLM"),Ns=f(),be=a("p"),Xn=r("A "),cs=a("code"),Kn=r("PeftModel"),Jn=r(" for causal language modeling."),Os=f(),A=a("div"),b(Xe.$$.fragment),Wn=f(),ds=a("p"),Yn=r("Peft model for causal language modeling."),Zn=f(),b($e.$$.fragment),Ds=f(),K=a("h2"),Pe=a("a"),ms=a("span"),b(Ke.$$.fragment),er=f(),gs=a("span"),tr=r("PeftModelForSeq2SeqLM"),Is=f(),je=a("p"),sr=r("A "),hs=a("code"),ar=r("PeftModel"),or=r(" for sequence-to-sequence language modeling."),Rs=f(),x=a("div"),b(Je.$$.fragment),nr=f(),us=a("p"),rr=r("Peft model for sequence-to-sequence language modeling."),lr=f(),b(qe.$$.fragment),this.h()},l(s){const d=yl('[data-svelte="svelte-1phssyn"]',document.head);h=o(d,"META",{name:!0,content:!0}),d.forEach(t),y=i(s),v=o(s,"H1",{class:!0});var We=n(v);m=o(We,"A",{id:!0,class:!0,href:!0});var _s=n(m);k=o(_s,"SPAN",{});var vs=n(k);$(p.$$.fragment,vs),vs.forEach(t),_s.forEach(t),u=i(We),$t=o(We,"SPAN",{});var bs=n($t);ga=l(bs,"Models"),bs.forEach(t),We.forEach(t),ks=i(s),T=o(s,"P",{});var Ye=n(T);ot=o(Ye,"A",{href:!0});var cr=n(ot);ha=l(cr,"PeftModel"),cr.forEach(t),ua=l(Ye," is the base model class for specifying the base Transformer model and configuration to apply a PEFT method to. The base "),Pt=o(Ye,"CODE",{});var dr=n(Pt);_a=l(dr,"PeftModel"),dr.forEach(t),va=l(Ye," contains methods for loading and saving models from the Hub, and supports the "),nt=o(Ye,"A",{href:!0});var mr=n(nt);ba=l(mr,"PromptEncoder"),mr.forEach(t),$a=l(Ye," for prompt learning."),Ye.forEach(t),ys=i(s),H=o(s,"H2",{class:!0});var Vs=n(H);J=o(Vs,"A",{id:!0,class:!0,href:!0});var gr=n(J);jt=o(gr,"SPAN",{});var hr=n(jt);$(Me.$$.fragment,hr),hr.forEach(t),gr.forEach(t),Pa=i(Vs),qt=o(Vs,"SPAN",{});var ur=n(qt);ja=l(ur,"PeftModel"),ur.forEach(t),Vs.forEach(t),ws=i(s),_=o(s,"DIV",{class:!0});var E=n(_);$(Ee.$$.fragment,E),qa=i(E),Mt=o(E,"P",{});var _r=n(Mt);Ma=l(_r,"Base model encompassing various Peft methods."),_r.forEach(t),Ea=i(E),rt=o(E,"P",{});var pr=n(rt);Et=o(pr,"STRONG",{});var vr=n(Et);ka=l(vr,"Attributes"),vr.forEach(t),ya=l(pr,":"),pr.forEach(t),wa=i(E),w=o(E,"UL",{});var F=n(w);W=o(F,"LI",{});var $s=n(W);kt=o($s,"STRONG",{});var br=n(kt);Ca=l(br,"base_model"),br.forEach(t),La=l($s," ("),ke=o($s,"A",{href:!0,rel:!0});var $r=n(ke);Fa=l($r,"PreTrainedModel"),$r.forEach(t),Sa=l($s,") \u2014 The base transformer model used for Peft."),$s.forEach(t),Ta=i(F),Y=o(F,"LI",{});var Ps=n(Y);yt=o(Ps,"STRONG",{});var Pr=n(yt);Aa=l(Pr,"peft_config"),Pr.forEach(t),xa=l(Ps," ("),lt=o(Ps,"A",{href:!0});var jr=n(lt);Na=l(jr,"PeftConfig"),jr.forEach(t),Oa=l(Ps,") \u2014 The configuration of the Peft model."),Ps.forEach(t),Da=i(F),O=o(F,"LI",{});var Ze=n(O);wt=o(Ze,"STRONG",{});var qr=n(wt);Ia=l(qr,"modules_to_save"),qr.forEach(t),Ra=l(Ze," ("),Ct=o(Ze,"CODE",{});var Mr=n(Ct);Ga=l(Mr,"list"),Mr.forEach(t),Va=l(Ze," of "),Lt=o(Ze,"CODE",{});var Er=n(Lt);Ua=l(Er,"str"),Er.forEach(t),Ha=l(Ze,`) \u2014 The list of sub-module names to save when
saving the model.`),Ze.forEach(t),Ba=i(F),D=o(F,"LI",{});var et=n(D);Ft=o(et,"STRONG",{});var kr=n(Ft);za=l(kr,"prompt_encoder"),kr.forEach(t),Qa=l(et," ("),pt=o(et,"A",{href:!0});var yr=n(pt);Xa=l(yr,"PromptEncoder"),yr.forEach(t),Ka=l(et,`) \u2014 The prompt encoder used for Peft if
using `),ft=o(et,"A",{href:!0});var wr=n(ft);Ja=l(wr,"PromptLearningConfig"),wr.forEach(t),Wa=l(et,"."),et.forEach(t),Ya=i(F),I=o(F,"LI",{});var tt=n(I);St=o(tt,"STRONG",{});var Cr=n(St);Za=l(Cr,"prompt_tokens"),Cr.forEach(t),eo=l(tt," ("),Tt=o(tt,"CODE",{});var Lr=n(Tt);to=l(Lr,"torch.Tensor"),Lr.forEach(t),so=l(tt,`) \u2014 The virtual prompt tokens used for Peft if
using `),it=o(tt,"A",{href:!0});var Fr=n(it);ao=l(Fr,"PromptLearningConfig"),Fr.forEach(t),oo=l(tt,"."),tt.forEach(t),no=i(F),R=o(F,"LI",{});var st=n(R);At=o(st,"STRONG",{});var Sr=n(At);ro=l(Sr,"transformer_backbone_name"),Sr.forEach(t),lo=l(st," ("),xt=o(st,"CODE",{});var Tr=n(xt);po=l(Tr,"str"),Tr.forEach(t),fo=l(st,`) \u2014 The name of the transformer
backbone in the base model if using `),ct=o(st,"A",{href:!0});var Ar=n(ct);io=l(Ar,"PromptLearningConfig"),Ar.forEach(t),co=l(st,"."),st.forEach(t),mo=i(F),G=o(F,"LI",{});var at=n(G);Nt=o(at,"STRONG",{});var xr=n(Nt);go=l(xr,"word_embeddings"),xr.forEach(t),ho=l(at," ("),Ot=o(at,"CODE",{});var Nr=n(Ot);uo=l(Nr,"torch.nn.Embedding"),Nr.forEach(t),_o=l(at,`) \u2014 The word embeddings of the transformer backbone
in the base model if using `),dt=o(at,"A",{href:!0});var Or=n(dt);vo=l(Or,"PromptLearningConfig"),Or.forEach(t),bo=l(at,"."),at.forEach(t),F.forEach(t),$o=i(E),Z=o(E,"DIV",{class:!0});var Us=n(Z);$(ye.$$.fragment,Us),Po=i(Us),Dt=o(Us,"P",{});var Dr=n(Dt);jo=l(Dr,"Disables the adapter module."),Dr.forEach(t),Us.forEach(t),qo=i(E),ee=o(E,"DIV",{class:!0});var Hs=n(ee);$(we.$$.fragment,Hs),Mo=i(Hs),It=o(Hs,"P",{});var Ir=n(It);Eo=l(Ir,"Forward pass of the model."),Ir.forEach(t),Hs.forEach(t),ko=i(E),te=o(E,"DIV",{class:!0});var Bs=n(te);$(Ce.$$.fragment,Bs),yo=i(Bs),Le=o(Bs,"P",{});var zs=n(Le);wo=l(zs,"Instantiate a "),mt=o(zs,"A",{href:!0});var Rr=n(mt);Co=l(Rr,"LoraModel"),Rr.forEach(t),Lo=l(zs," from a pretrained Lora configuration and weights."),zs.forEach(t),Bs.forEach(t),Fo=i(E),se=o(E,"DIV",{class:!0});var Qs=n(se);$(Fe.$$.fragment,Qs),So=i(Qs),Rt=o(Qs,"P",{});var Gr=n(Rt);To=l(Gr,"Returns the base model."),Gr.forEach(t),Qs.forEach(t),Ao=i(E),ae=o(E,"DIV",{class:!0});var Xs=n(ae);$(Se.$$.fragment,Xs),xo=i(Xs),Te=o(Xs,"P",{});var Ks=n(Te);No=l(Ks,"Returns the virtual prompts to use for Peft. Only applicable when "),Gt=o(Ks,"CODE",{});var Vr=n(Gt);Oo=l(Vr,"peft_config.peft_type != PeftType.LORA"),Vr.forEach(t),Do=l(Ks,"."),Ks.forEach(t),Xs.forEach(t),Io=i(E),oe=o(E,"DIV",{class:!0});var Js=n(oe);$(Ae.$$.fragment,Js),Ro=i(Js),xe=o(Js,"P",{});var Ws=n(xe);Go=l(Ws,"Returns the prompt embedding to save when saving the model. Only applicable when "),Vt=o(Ws,"CODE",{});var Ur=n(Vt);Vo=l(Ur,"peft_config.peft_type != PeftType.LORA"),Ur.forEach(t),Uo=l(Ws,"."),Ws.forEach(t),Js.forEach(t),Ho=i(E),ne=o(E,"DIV",{class:!0});var Ys=n(ne);$(Ne.$$.fragment,Ys),Bo=i(Ys),Ut=o(Ys,"P",{});var Hr=n(Ut);zo=l(Hr,"Prints the number of trainable parameters in the model."),Hr.forEach(t),Ys.forEach(t),Qo=i(E),re=o(E,"DIV",{class:!0});var Zs=n(re);$(Oe.$$.fragment,Zs),Xo=i(Zs),B=o(Zs,"P",{});var ut=n(B);Ko=l(ut,`This function saves the adapter model and the adapter configuration files to a directory, so that it can be
reloaded using the `),Ht=o(ut,"CODE",{});var Br=n(Ht);Jo=l(Br,"LoraModel.from_pretrained"),Br.forEach(t),Wo=l(ut," class method, and also used by the "),Bt=o(ut,"CODE",{});var zr=n(Bt);Yo=l(zr,"LoraModel.push_to_hub"),zr.forEach(t),Zo=l(ut,`
method.`),ut.forEach(t),Zs.forEach(t),en=i(E),le=o(E,"DIV",{class:!0});var ea=n(le);$(De.$$.fragment,ea),tn=i(ea),zt=o(ea,"P",{});var Qr=n(zt);sn=l(Qr,"Sets the active adapter."),Qr.forEach(t),ea.forEach(t),E.forEach(t),Cs=i(s),z=o(s,"H2",{class:!0});var ta=n(z);pe=o(ta,"A",{id:!0,class:!0,href:!0});var Xr=n(pe);Qt=o(Xr,"SPAN",{});var Kr=n(Qt);$(Ie.$$.fragment,Kr),Kr.forEach(t),Xr.forEach(t),an=i(ta),Xt=o(ta,"SPAN",{});var Jr=n(Xt);on=l(Jr,"PeftModelForSequenceClassification"),Jr.forEach(t),ta.forEach(t),Ls=i(s),fe=o(s,"P",{});var sa=n(fe);nn=l(sa,"A "),Kt=o(sa,"CODE",{});var Wr=n(Kt);rn=l(Wr,"PeftModel"),Wr.forEach(t),ln=l(sa," for sequence classification tasks."),sa.forEach(t),Fs=i(s),C=o(s,"DIV",{class:!0});var V=n(C);$(Re.$$.fragment,V),pn=i(V),Jt=o(V,"P",{});var Yr=n(Jt);fn=l(Yr,"Peft model for sequence classification tasks."),Yr.forEach(t),cn=i(V),gt=o(V,"P",{});var fr=n(gt);Wt=o(fr,"STRONG",{});var Zr=n(Wt);dn=l(Zr,"Attributes"),Zr.forEach(t),mn=l(fr,":"),fr.forEach(t),gn=i(V),Ge=o(V,"UL",{});var aa=n(Ge);ie=o(aa,"LI",{});var js=n(ie);Yt=o(js,"STRONG",{});var el=n(Yt);hn=l(el,"config"),el.forEach(t),un=l(js," ("),Ve=o(js,"A",{href:!0,rel:!0});var tl=n(Ve);_n=l(tl,"PretrainedConfig"),tl.forEach(t),vn=l(js,") \u2014 The configuration object of the base model."),js.forEach(t),bn=i(aa),ce=o(aa,"LI",{});var qs=n(ce);Zt=o(qs,"STRONG",{});var sl=n(Zt);$n=l(sl,"cls_layer_name"),sl.forEach(t),Pn=l(qs," ("),es=o(qs,"CODE",{});var al=n(es);jn=l(al,"str"),al.forEach(t),qn=l(qs,") \u2014 The name of the classification layer."),qs.forEach(t),aa.forEach(t),Mn=i(V),$(de.$$.fragment,V),V.forEach(t),Ss=i(s),Q=o(s,"H2",{class:!0});var oa=n(Q);me=o(oa,"A",{id:!0,class:!0,href:!0});var ol=n(me);ts=o(ol,"SPAN",{});var nl=n(ts);$(Ue.$$.fragment,nl),nl.forEach(t),ol.forEach(t),En=i(oa),ss=o(oa,"SPAN",{});var rl=n(ss);kn=l(rl,"PeftModelForTokenClassification"),rl.forEach(t),oa.forEach(t),Ts=i(s),ge=o(s,"P",{});var na=n(ge);yn=l(na,"A "),as=o(na,"CODE",{});var ll=n(as);wn=l(ll,"PeftModel"),ll.forEach(t),Cn=l(na," for token classification tasks."),na.forEach(t),As=i(s),L=o(s,"DIV",{class:!0});var U=n(L);$(He.$$.fragment,U),Ln=i(U),os=o(U,"P",{});var pl=n(os);Fn=l(pl,"Peft model for token classification tasks."),pl.forEach(t),Sn=i(U),ht=o(U,"P",{});var ir=n(ht);ns=o(ir,"STRONG",{});var fl=n(ns);Tn=l(fl,"Attributes"),fl.forEach(t),An=l(ir,":"),ir.forEach(t),xn=i(U),Be=o(U,"UL",{});var ra=n(Be);he=o(ra,"LI",{});var Ms=n(he);rs=o(Ms,"STRONG",{});var il=n(rs);Nn=l(il,"config"),il.forEach(t),On=l(Ms," ("),ze=o(Ms,"A",{href:!0,rel:!0});var cl=n(ze);Dn=l(cl,"PretrainedConfig"),cl.forEach(t),In=l(Ms,") \u2014 The configuration object of the base model."),Ms.forEach(t),Rn=i(ra),ue=o(ra,"LI",{});var Es=n(ue);ls=o(Es,"STRONG",{});var dl=n(ls);Gn=l(dl,"cls_layer_name"),dl.forEach(t),Vn=l(Es," ("),ps=o(Es,"CODE",{});var ml=n(ps);Un=l(ml,"str"),ml.forEach(t),Hn=l(Es,") \u2014 The name of the classification layer."),Es.forEach(t),ra.forEach(t),Bn=i(U),$(_e.$$.fragment,U),U.forEach(t),xs=i(s),X=o(s,"H2",{class:!0});var la=n(X);ve=o(la,"A",{id:!0,class:!0,href:!0});var gl=n(ve);fs=o(gl,"SPAN",{});var hl=n(fs);$(Qe.$$.fragment,hl),hl.forEach(t),gl.forEach(t),zn=i(la),is=o(la,"SPAN",{});var ul=n(is);Qn=l(ul,"PeftModelForCausalLM"),ul.forEach(t),la.forEach(t),Ns=i(s),be=o(s,"P",{});var pa=n(be);Xn=l(pa,"A "),cs=o(pa,"CODE",{});var _l=n(cs);Kn=l(_l,"PeftModel"),_l.forEach(t),Jn=l(pa," for causal language modeling."),pa.forEach(t),Os=i(s),A=o(s,"DIV",{class:!0});var _t=n(A);$(Xe.$$.fragment,_t),Wn=i(_t),ds=o(_t,"P",{});var vl=n(ds);Yn=l(vl,"Peft model for causal language modeling."),vl.forEach(t),Zn=i(_t),$($e.$$.fragment,_t),_t.forEach(t),Ds=i(s),K=o(s,"H2",{class:!0});var fa=n(K);Pe=o(fa,"A",{id:!0,class:!0,href:!0});var bl=n(Pe);ms=o(bl,"SPAN",{});var $l=n(ms);$(Ke.$$.fragment,$l),$l.forEach(t),bl.forEach(t),er=i(fa),gs=o(fa,"SPAN",{});var Pl=n(gs);tr=l(Pl,"PeftModelForSeq2SeqLM"),Pl.forEach(t),fa.forEach(t),Is=i(s),je=o(s,"P",{});var ia=n(je);sr=l(ia,"A "),hs=o(ia,"CODE",{});var jl=n(hs);ar=l(jl,"PeftModel"),jl.forEach(t),or=l(ia," for sequence-to-sequence language modeling."),ia.forEach(t),Rs=i(s),x=o(s,"DIV",{class:!0});var vt=n(x);$(Je.$$.fragment,vt),nr=i(vt),us=o(vt,"P",{});var ql=n(us);rr=l(ql,"Peft model for sequence-to-sequence language modeling."),ql.forEach(t),lr=i(vt),$(qe.$$.fragment,vt),vt.forEach(t),this.h()},h(){c(h,"name","hf:doc:metadata"),c(h,"content",JSON.stringify(Al)),c(m,"id","models"),c(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(m,"href","#models"),c(v,"class","relative group"),c(ot,"href","/docs/peft/main/en/package_reference/peft_model#peft.PeftModel"),c(nt,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),c(J,"id","peft.PeftModel"),c(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(J,"href","#peft.PeftModel"),c(H,"class","relative group"),c(ke,"href","https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(ke,"rel","nofollow"),c(lt,"href","/docs/peft/main/en/package_reference/config#peft.PeftConfig"),c(pt,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),c(ft,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(it,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(ct,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(dt,"href","/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig"),c(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraModel"),c(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pe,"id","peft.PeftModelForSequenceClassification"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#peft.PeftModelForSequenceClassification"),c(z,"class","relative group"),c(Ve,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Ve,"rel","nofollow"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(me,"id","peft.PeftModelForTokenClassification"),c(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(me,"href","#peft.PeftModelForTokenClassification"),c(Q,"class","relative group"),c(ze,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(ze,"rel","nofollow"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"id","peft.PeftModelForCausalLM"),c(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ve,"href","#peft.PeftModelForCausalLM"),c(X,"class","relative group"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Pe,"id","peft.PeftModelForSeq2SeqLM"),c(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Pe,"href","#peft.PeftModelForSeq2SeqLM"),c(K,"class","relative group"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,d){e(document.head,h),g(s,y,d),g(s,v,d),e(v,m),e(m,k),P(p,k,null),e(v,u),e(v,$t),e($t,ga),g(s,ks,d),g(s,T,d),e(T,ot),e(ot,ha),e(T,ua),e(T,Pt),e(Pt,_a),e(T,va),e(T,nt),e(nt,ba),e(T,$a),g(s,ys,d),g(s,H,d),e(H,J),e(J,jt),P(Me,jt,null),e(H,Pa),e(H,qt),e(qt,ja),g(s,ws,d),g(s,_,d),P(Ee,_,null),e(_,qa),e(_,Mt),e(Mt,Ma),e(_,Ea),e(_,rt),e(rt,Et),e(Et,ka),e(rt,ya),e(_,wa),e(_,w),e(w,W),e(W,kt),e(kt,Ca),e(W,La),e(W,ke),e(ke,Fa),e(W,Sa),e(w,Ta),e(w,Y),e(Y,yt),e(yt,Aa),e(Y,xa),e(Y,lt),e(lt,Na),e(Y,Oa),e(w,Da),e(w,O),e(O,wt),e(wt,Ia),e(O,Ra),e(O,Ct),e(Ct,Ga),e(O,Va),e(O,Lt),e(Lt,Ua),e(O,Ha),e(w,Ba),e(w,D),e(D,Ft),e(Ft,za),e(D,Qa),e(D,pt),e(pt,Xa),e(D,Ka),e(D,ft),e(ft,Ja),e(D,Wa),e(w,Ya),e(w,I),e(I,St),e(St,Za),e(I,eo),e(I,Tt),e(Tt,to),e(I,so),e(I,it),e(it,ao),e(I,oo),e(w,no),e(w,R),e(R,At),e(At,ro),e(R,lo),e(R,xt),e(xt,po),e(R,fo),e(R,ct),e(ct,io),e(R,co),e(w,mo),e(w,G),e(G,Nt),e(Nt,go),e(G,ho),e(G,Ot),e(Ot,uo),e(G,_o),e(G,dt),e(dt,vo),e(G,bo),e(_,$o),e(_,Z),P(ye,Z,null),e(Z,Po),e(Z,Dt),e(Dt,jo),e(_,qo),e(_,ee),P(we,ee,null),e(ee,Mo),e(ee,It),e(It,Eo),e(_,ko),e(_,te),P(Ce,te,null),e(te,yo),e(te,Le),e(Le,wo),e(Le,mt),e(mt,Co),e(Le,Lo),e(_,Fo),e(_,se),P(Fe,se,null),e(se,So),e(se,Rt),e(Rt,To),e(_,Ao),e(_,ae),P(Se,ae,null),e(ae,xo),e(ae,Te),e(Te,No),e(Te,Gt),e(Gt,Oo),e(Te,Do),e(_,Io),e(_,oe),P(Ae,oe,null),e(oe,Ro),e(oe,xe),e(xe,Go),e(xe,Vt),e(Vt,Vo),e(xe,Uo),e(_,Ho),e(_,ne),P(Ne,ne,null),e(ne,Bo),e(ne,Ut),e(Ut,zo),e(_,Qo),e(_,re),P(Oe,re,null),e(re,Xo),e(re,B),e(B,Ko),e(B,Ht),e(Ht,Jo),e(B,Wo),e(B,Bt),e(Bt,Yo),e(B,Zo),e(_,en),e(_,le),P(De,le,null),e(le,tn),e(le,zt),e(zt,sn),g(s,Cs,d),g(s,z,d),e(z,pe),e(pe,Qt),P(Ie,Qt,null),e(z,an),e(z,Xt),e(Xt,on),g(s,Ls,d),g(s,fe,d),e(fe,nn),e(fe,Kt),e(Kt,rn),e(fe,ln),g(s,Fs,d),g(s,C,d),P(Re,C,null),e(C,pn),e(C,Jt),e(Jt,fn),e(C,cn),e(C,gt),e(gt,Wt),e(Wt,dn),e(gt,mn),e(C,gn),e(C,Ge),e(Ge,ie),e(ie,Yt),e(Yt,hn),e(ie,un),e(ie,Ve),e(Ve,_n),e(ie,vn),e(Ge,bn),e(Ge,ce),e(ce,Zt),e(Zt,$n),e(ce,Pn),e(ce,es),e(es,jn),e(ce,qn),e(C,Mn),P(de,C,null),g(s,Ss,d),g(s,Q,d),e(Q,me),e(me,ts),P(Ue,ts,null),e(Q,En),e(Q,ss),e(ss,kn),g(s,Ts,d),g(s,ge,d),e(ge,yn),e(ge,as),e(as,wn),e(ge,Cn),g(s,As,d),g(s,L,d),P(He,L,null),e(L,Ln),e(L,os),e(os,Fn),e(L,Sn),e(L,ht),e(ht,ns),e(ns,Tn),e(ht,An),e(L,xn),e(L,Be),e(Be,he),e(he,rs),e(rs,Nn),e(he,On),e(he,ze),e(ze,Dn),e(he,In),e(Be,Rn),e(Be,ue),e(ue,ls),e(ls,Gn),e(ue,Vn),e(ue,ps),e(ps,Un),e(ue,Hn),e(L,Bn),P(_e,L,null),g(s,xs,d),g(s,X,d),e(X,ve),e(ve,fs),P(Qe,fs,null),e(X,zn),e(X,is),e(is,Qn),g(s,Ns,d),g(s,be,d),e(be,Xn),e(be,cs),e(cs,Kn),e(be,Jn),g(s,Os,d),g(s,A,d),P(Xe,A,null),e(A,Wn),e(A,ds),e(ds,Yn),e(A,Zn),P($e,A,null),g(s,Ds,d),g(s,K,d),e(K,Pe),e(Pe,ms),P(Ke,ms,null),e(K,er),e(K,gs),e(gs,tr),g(s,Is,d),g(s,je,d),e(je,sr),e(je,hs),e(hs,ar),e(je,or),g(s,Rs,d),g(s,x,d),P(Je,x,null),e(x,nr),e(x,us),e(us,rr),e(x,lr),P(qe,x,null),Gs=!0},p(s,[d]){const We={};d&2&&(We.$$scope={dirty:d,ctx:s}),de.$set(We);const _s={};d&2&&(_s.$$scope={dirty:d,ctx:s}),_e.$set(_s);const vs={};d&2&&(vs.$$scope={dirty:d,ctx:s}),$e.$set(vs);const bs={};d&2&&(bs.$$scope={dirty:d,ctx:s}),qe.$set(bs)},i(s){Gs||(j(p.$$.fragment,s),j(Me.$$.fragment,s),j(Ee.$$.fragment,s),j(ye.$$.fragment,s),j(we.$$.fragment,s),j(Ce.$$.fragment,s),j(Fe.$$.fragment,s),j(Se.$$.fragment,s),j(Ae.$$.fragment,s),j(Ne.$$.fragment,s),j(Oe.$$.fragment,s),j(De.$$.fragment,s),j(Ie.$$.fragment,s),j(Re.$$.fragment,s),j(de.$$.fragment,s),j(Ue.$$.fragment,s),j(He.$$.fragment,s),j(_e.$$.fragment,s),j(Qe.$$.fragment,s),j(Xe.$$.fragment,s),j($e.$$.fragment,s),j(Ke.$$.fragment,s),j(Je.$$.fragment,s),j(qe.$$.fragment,s),Gs=!0)},o(s){q(p.$$.fragment,s),q(Me.$$.fragment,s),q(Ee.$$.fragment,s),q(ye.$$.fragment,s),q(we.$$.fragment,s),q(Ce.$$.fragment,s),q(Fe.$$.fragment,s),q(Se.$$.fragment,s),q(Ae.$$.fragment,s),q(Ne.$$.fragment,s),q(Oe.$$.fragment,s),q(De.$$.fragment,s),q(Ie.$$.fragment,s),q(Re.$$.fragment,s),q(de.$$.fragment,s),q(Ue.$$.fragment,s),q(He.$$.fragment,s),q(_e.$$.fragment,s),q(Qe.$$.fragment,s),q(Xe.$$.fragment,s),q($e.$$.fragment,s),q(Ke.$$.fragment,s),q(Je.$$.fragment,s),q(qe.$$.fragment,s),Gs=!1},d(s){t(h),s&&t(y),s&&t(v),M(p),s&&t(ks),s&&t(T),s&&t(ys),s&&t(H),M(Me),s&&t(ws),s&&t(_),M(Ee),M(ye),M(we),M(Ce),M(Fe),M(Se),M(Ae),M(Ne),M(Oe),M(De),s&&t(Cs),s&&t(z),M(Ie),s&&t(Ls),s&&t(fe),s&&t(Fs),s&&t(C),M(Re),M(de),s&&t(Ss),s&&t(Q),M(Ue),s&&t(Ts),s&&t(ge),s&&t(As),s&&t(L),M(He),M(_e),s&&t(xs),s&&t(X),M(Qe),s&&t(Ns),s&&t(be),s&&t(Os),s&&t(A),M(Xe),M($e),s&&t(Ds),s&&t(K),M(Ke),s&&t(Is),s&&t(je),s&&t(Rs),s&&t(x),M(Je),M(qe)}}}const Al={local:"models",sections:[{local:"peft.PeftModel",title:"PeftModel"},{local:"peft.PeftModelForSequenceClassification",title:"PeftModelForSequenceClassification"},{local:"peft.PeftModelForTokenClassification",title:"PeftModelForTokenClassification"},{local:"peft.PeftModelForCausalLM",title:"PeftModelForCausalLM"},{local:"peft.PeftModelForSeq2SeqLM",title:"PeftModelForSeq2SeqLM"}],title:"Models"};function xl(N){return wl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gl extends Ml{constructor(h){super();El(this,h,xl,Tl,kl,{})}}export{Gl as default,Al as metadata};
