import{S as Ci,i as ji,s as wi,e as a,k as p,w as E,t as o,M as Oi,c as s,d as t,m as d,a as l,x as b,h as r,b as h,G as e,g as f,y as $,q as T,o as y,B as P,v as Ni,L as xo}from"../../chunks/vendor-hf-doc-builder.js";import{D as U}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ko}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Vn}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Lo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Si(G){let g,x,u,m,v;return m=new ko({props:{code:`from transformers import AutoModelForSeq2SeqLM, LoraConfig
from peft import LoraModel, LoraConfig

config = LoraConfig(
    peft_type="LORA",
    task_type="SEQ_2_SEQ_LM",
    r=8,
    lora_alpha=32,
    target_modules=["q", "v"],
    lora_dropout=0.01,
)

model = AutoModelForSeq2SeqLM.from_pretrained("t5-base")
lora_model = LoraModel(config, model)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModelForSeq2SeqLM, LoraConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> LoraModel, LoraConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = LoraConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;LORA&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    r=<span class="hljs-number">8</span>,
<span class="hljs-meta">... </span>    lora_alpha=<span class="hljs-number">32</span>,
<span class="hljs-meta">... </span>    target_modules=[<span class="hljs-string">&quot;q&quot;</span>, <span class="hljs-string">&quot;v&quot;</span>],
<span class="hljs-meta">... </span>    lora_dropout=<span class="hljs-number">0.01</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;t5-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>lora_model = LoraModel(config, model)`}}),{c(){g=a("p"),x=o("Example:"),u=p(),E(m.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);x=r(_,"Example:"),_.forEach(t),u=d(i),b(m.$$.fragment,i)},m(i,_){f(i,g,_),e(g,x),f(i,u,_),$(m,i,_),v=!0},p:xo,i(i){v||(T(m.$$.fragment,i),v=!0)},o(i){y(m.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(m,i)}}}function zi(G){let g,x,u,m,v;return m=new ko({props:{code:`from peft import PromptEncoder, PromptEncoderConfig

config = PromptEncoderConfig(
    peft_type="P_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    encoder_reparameterization_type="MLP",
    encoder_hidden_size=768,
)

prompt_encoder = PromptEncoder(config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PromptEncoder, PromptEncoderConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PromptEncoderConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;P_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    encoder_reparameterization_type=<span class="hljs-string">&quot;MLP&quot;</span>,
<span class="hljs-meta">... </span>    encoder_hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_encoder = PromptEncoder(config)`}}),{c(){g=a("p"),x=o("Example:"),u=p(),E(m.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);x=r(_,"Example:"),_.forEach(t),u=d(i),b(m.$$.fragment,i)},m(i,_){f(i,g,_),e(g,x),f(i,u,_),$(m,i,_),v=!0},p:xo,i(i){v||(T(m.$$.fragment,i),v=!0)},o(i){y(m.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(m,i)}}}function Di(G){let g,x,u,m,v;return m=new ko({props:{code:`from peft import PrefixEncoder, PrefixTuningConfig

config = PrefixTuningConfig(
    peft_type="PREFIX_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    encoder_hidden_size=768,
)
prefix_encoder = PrefixEncoder(config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PrefixEncoder, PrefixTuningConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PrefixTuningConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;PREFIX_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    encoder_hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>prefix_encoder = PrefixEncoder(config)`}}),{c(){g=a("p"),x=o("Example:"),u=p(),E(m.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);x=r(_,"Example:"),_.forEach(t),u=d(i),b(m.$$.fragment,i)},m(i,_){f(i,g,_),e(g,x),f(i,u,_),$(m,i,_),v=!0},p:xo,i(i){v||(T(m.$$.fragment,i),v=!0)},o(i){y(m.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(m,i)}}}function Mi(G){let g,x,u,m,v;return m=new ko({props:{code:`from peft import PromptEmbedding, PromptTuningConfig

config = PromptTuningConfig(
    peft_type="PROMPT_TUNING",
    task_type="SEQ_2_SEQ_LM",
    num_virtual_tokens=20,
    token_dim=768,
    num_transformer_submodules=1,
    num_attention_heads=12,
    num_layers=12,
    prompt_tuning_init="TEXT",
    prompt_tuning_init_text="Predict if sentiment of this review is positive, negative or neutral",
    tokenizer_name_or_path="t5-base",
)

# t5_model.shared is the word embeddings of the base model
prompt_embedding = PromptEmbedding(config, t5_model.shared)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> peft <span class="hljs-keyword">import</span> PromptEmbedding, PromptTuningConfig

<span class="hljs-meta">&gt;&gt;&gt; </span>config = PromptTuningConfig(
<span class="hljs-meta">... </span>    peft_type=<span class="hljs-string">&quot;PROMPT_TUNING&quot;</span>,
<span class="hljs-meta">... </span>    task_type=<span class="hljs-string">&quot;SEQ_2_SEQ_LM&quot;</span>,
<span class="hljs-meta">... </span>    num_virtual_tokens=<span class="hljs-number">20</span>,
<span class="hljs-meta">... </span>    token_dim=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_transformer_submodules=<span class="hljs-number">1</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    num_layers=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    prompt_tuning_init=<span class="hljs-string">&quot;TEXT&quot;</span>,
<span class="hljs-meta">... </span>    prompt_tuning_init_text=<span class="hljs-string">&quot;Predict if sentiment of this review is positive, negative or neutral&quot;</span>,
<span class="hljs-meta">... </span>    tokenizer_name_or_path=<span class="hljs-string">&quot;t5-base&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># t5_model.shared is the word embeddings of the base model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>prompt_embedding = PromptEmbedding(config, t5_model.shared)`}}),{c(){g=a("p"),x=o("Example:"),u=p(),E(m.$$.fragment)},l(i){g=s(i,"P",{});var _=l(g);x=r(_,"Example:"),_.forEach(t),u=d(i),b(m.$$.fragment,i)},m(i,_){f(i,g,_),e(g,x),f(i,u,_),$(m,i,_),v=!0},p:xo,i(i){v||(T(m.$$.fragment,i),v=!0)},o(i){y(m.$$.fragment,i),v=!1},d(i){i&&t(g),i&&t(u),P(m,i)}}}function qi(G){let g,x,u,m,v,i,_,_t,Co,Xn,tt,jo,Hn,V,ae,ut,Ce,wo,vt,Oo,Bn,nt,No,Wn,X,je,So,we,zo,ot,Do,Mo,Jn,O,Oe,qo,Et,Ao,Io,se,Ro,rt,bt,Uo,Go,Fo,Ne,le,$t,Qo,Vo,Se,Xo,Ho,Bo,ie,Tt,Wo,Jo,at,Ko,Yo,Zo,pe,ze,er,yt,tr,Kn,De,Me,Yn,qe,Ae,Zn,H,de,Pt,Ie,nr,Lt,or,eo,B,Re,rr,Ue,ar,st,sr,lr,to,k,Ge,ir,xt,pr,dr,ce,cr,lt,kt,fr,mr,hr,L,fe,Ct,gr,_r,jt,ur,vr,Er,F,wt,br,$r,Ot,Tr,yr,Nt,Pr,Lr,xr,D,St,kr,Cr,zt,jr,wr,Dt,Or,Nr,Mt,Sr,zr,Dr,me,qt,Mr,qr,At,Ar,Ir,Rr,he,It,Ur,Gr,Rt,Fr,Qr,Vr,ge,Ut,Xr,Hr,Gt,Br,Wr,Jr,_e,Ft,Kr,Yr,Qt,Zr,ea,ta,ue,Vt,na,oa,Xt,ra,aa,sa,Q,Ht,la,ia,Bt,pa,da,Wt,ca,fa,ma,W,ha,Jt,ga,_a,Kt,ua,va,Ea,A,ba,Yt,$a,Ta,Zt,ya,Pa,en,La,xa,no,J,ve,tn,Fe,ka,nn,Ca,oo,K,Qe,ja,Ve,wa,it,Oa,Na,ro,C,Xe,Sa,He,za,on,Da,Ma,qa,Ee,Aa,pt,rn,Ia,Ra,Ua,Y,be,an,Ga,Fa,sn,Qa,Va,Xa,M,ln,Ha,Ba,pn,Wa,Ja,dn,Ka,Ya,cn,Za,es,ts,$e,fn,ns,os,mn,rs,as,ss,Z,ls,hn,is,ps,gn,ds,cs,fs,I,ms,_n,hs,gs,un,_s,us,vn,vs,Es,ao,ee,Te,En,Be,bs,bn,$s,so,te,We,Ts,Je,ys,dt,Ps,Ls,lo,j,Ke,xs,$n,ks,Cs,ct,Tn,js,ws,Os,yn,ye,Pn,Ns,Ss,Ln,zs,Ds,Ms,Pe,qs,ne,As,xn,Is,Rs,kn,Us,Gs,Fs,R,Qs,Cn,Vs,Xs,jn,Hs,Bs,wn,Ws,Js,io;return i=new Vn({}),Ce=new Vn({}),je=new U({props:{name:"class peft.LoraConfig",anchor:"peft.LoraConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"r",val:": int = 8"},{name:"target_modules",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"lora_alpha",val:": int = None"},{name:"lora_dropout",val:": float = None"},{name:"fan_in_fan_out",val:": bool = False"},{name:"bias",val:": str = 'none'"},{name:"modules_to_save",val:": typing.Optional[typing.List[str]] = None"},{name:"init_lora_weights",val:": bool = True"}],parametersDescription:[{anchor:"peft.LoraConfig.r",description:"<strong>r</strong> (<code>int</code>) &#x2014; Lora attention dimension.",name:"r"},{anchor:"peft.LoraConfig.target_modules",description:"<strong>target_modules</strong> (<code>Union[List[str],str]</code>) &#x2014; The names of the modules to apply Lora to.",name:"target_modules"},{anchor:"peft.LoraConfig.lora_alpha",description:"<strong>lora_alpha</strong> (<code>float</code>) &#x2014; The alpha parameter for Lora scaling.",name:"lora_alpha"},{anchor:"peft.LoraConfig.lora_dropout",description:"<strong>lora_dropout</strong> (<code>float</code>) &#x2014; The dropout probability for Lora layers.",name:"lora_dropout"},{anchor:"peft.LoraConfig.fan_in_fan_out",description:"<strong>fan_in_fan_out</strong> (<code>bool</code>) &#x2014; Set this to True if the layer to replace stores weight like (fan_in, fan_out).",name:"fan_in_fan_out"},{anchor:"peft.LoraConfig.For",description:"<strong>For</strong> example, gpt-2 uses <code>Conv1D</code> which stores weights like (fan_in, fan_out) and hence this should be set to <code>True</code>. &#x2014;",name:"For"},{anchor:"peft.LoraConfig.bias",description:"<strong>bias</strong> (<code>str</code>) &#x2014; Bias type for Lora. Can be &#x2018;none&#x2019;, &#x2018;all&#x2019; or &#x2018;lora_only&#x2019;",name:"bias"},{anchor:"peft.LoraConfig.modules_to_save",description:`<strong>modules_to_save</strong> (<code>List[str]</code>) &#x2014;List of modules apart from LoRA layers to be set as trainable
and saved in the final checkpoint.`,name:"modules_to_save"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L43"}}),Oe=new U({props:{name:"class peft.LoraModel",anchor:"peft.LoraModel",parameters:[{name:"model",val:""},{name:"config",val:""},{name:"adapter_name",val:""}],parametersDescription:[{anchor:"peft.LoraModel.model",description:'<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>) &#x2014; The model to be adapted.',name:"model"},{anchor:"peft.LoraModel.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.LoraConfig">LoraConfig</a>) &#x2014; The configuration of the Lora model.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L91",returnDescription:`
<p>The Lora model.</p>
`,returnType:`
<p><code>torch.nn.Module</code></p>
`}}),se=new Lo({props:{anchor:"peft.LoraModel.example",$$slots:{default:[Si]},$$scope:{ctx:G}}}),ze=new U({props:{name:"merge_and_unload",anchor:"peft.LoraModel.merge_and_unload",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L300"}}),Me=new U({props:{name:"class peft.tuners.lora.LoraLayer",anchor:"peft.tuners.lora.LoraLayer",parameters:[{name:"in_features",val:": int"},{name:"out_features",val:": int"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L351"}}),Ae=new U({props:{name:"class peft.tuners.lora.Linear",anchor:"peft.tuners.lora.Linear",parameters:[{name:"adapter_name",val:": str"},{name:"in_features",val:": int"},{name:"out_features",val:": int"},{name:"r",val:": int = 0"},{name:"lora_alpha",val:": int = 1"},{name:"lora_dropout",val:": float = 0.0"},{name:"fan_in_fan_out",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lora.py#L394"}}),Ie=new Vn({}),Re=new U({props:{name:"class peft.PromptEncoderConfig",anchor:"peft.PromptEncoderConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"encoder_reparameterization_type",val:": typing.Union[str, peft.tuners.p_tuning.PromptEncoderReparameterizationType] = <PromptEncoderReparameterizationType.MLP: 'MLP'>"},{name:"encoder_hidden_size",val:": int = None"},{name:"encoder_num_layers",val:": int = 2"},{name:"encoder_dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"peft.PromptEncoderConfig.encoder_reparameterization_type",description:`<strong>encoder_reparameterization_type</strong> (Union[<code>PromptEncoderReparameterizationType</code>, <code>str</code>]) &#x2014;
The type of reparameterization to use.`,name:"encoder_reparameterization_type"},{anchor:"peft.PromptEncoderConfig.encoder_hidden_size",description:"<strong>encoder_hidden_size</strong> (<code>int</code>) &#x2014; The hidden size of the prompt encoder.",name:"encoder_hidden_size"},{anchor:"peft.PromptEncoderConfig.encoder_num_layers",description:"<strong>encoder_num_layers</strong> (<code>int</code>) &#x2014; The number of layers of the prompt encoder.",name:"encoder_num_layers"},{anchor:"peft.PromptEncoderConfig.encoder_dropout",description:"<strong>encoder_dropout</strong> (<code>float</code>) &#x2014; The dropout probability of the prompt encoder.",name:"encoder_dropout"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/p_tuning.py#L32"}}),Ge=new U({props:{name:"class peft.PromptEncoder",anchor:"peft.PromptEncoder",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"peft.PromptEncoder.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PromptEncoderConfig">PromptEncoderConfig</a>) &#x2014; The configuration of the prompt encoder.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/p_tuning.py#L67"}}),ce=new Lo({props:{anchor:"peft.PromptEncoder.example",$$slots:{default:[zi]},$$scope:{ctx:G}}}),Fe=new Vn({}),Qe=new U({props:{name:"class peft.PrefixTuningConfig",anchor:"peft.PrefixTuningConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"encoder_hidden_size",val:": int = None"},{name:"prefix_projection",val:": bool = False"}],parametersDescription:[{anchor:"peft.PrefixTuningConfig.encoder_hidden_size",description:"<strong>encoder_hidden_size</strong> (<code>int</code>) &#x2014; The hidden size of the prompt encoder.",name:"encoder_hidden_size"},{anchor:"peft.PrefixTuningConfig.prefix_projection",description:"<strong>prefix_projection</strong> (<code>bool</code>) &#x2014; Whether to project the prefix embeddings.",name:"prefix_projection"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prefix_tuning.py#L25"}}),Xe=new U({props:{name:"class peft.PrefixEncoder",anchor:"peft.PrefixEncoder",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"peft.PrefixEncoder.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PrefixTuningConfig">PrefixTuningConfig</a>) &#x2014; The configuration of the prefix encoder.',name:"config"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prefix_tuning.py#L49"}}),Ee=new Lo({props:{anchor:"peft.PrefixEncoder.example",$$slots:{default:[Di]},$$scope:{ctx:G}}}),Be=new Vn({}),We=new U({props:{name:"class peft.PromptTuningConfig",anchor:"peft.PromptTuningConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.config.PeftType] = None"},{name:"base_model_name_or_path",val:": str = None"},{name:"task_type",val:": typing.Union[str, peft.utils.config.TaskType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"},{name:"prompt_tuning_init",val:": typing.Union[peft.tuners.prompt_tuning.PromptTuningInit, str] = <PromptTuningInit.RANDOM: 'RANDOM'>"},{name:"prompt_tuning_init_text",val:": typing.Optional[str] = None"},{name:"tokenizer_name_or_path",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"peft.PromptTuningConfig.prompt_tuning_init",description:"<strong>prompt_tuning_init</strong> (Union[<code>PromptTuningInit</code>, <code>str</code>]) &#x2014; The initialization of the prompt embedding.",name:"prompt_tuning_init"},{anchor:"peft.PromptTuningConfig.prompt_tuning_init_text",description:`<strong>prompt_tuning_init_text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The text to initialize the prompt embedding. Only used if <code>prompt_tuning_init</code> is <code>TEXT</code>.`,name:"prompt_tuning_init_text"},{anchor:"peft.PromptTuningConfig.tokenizer_name_or_path",description:`<strong>tokenizer_name_or_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The name or path of the tokenizer. Only used if <code>prompt_tuning_init</code> is <code>TEXT</code>.`,name:"tokenizer_name_or_path"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prompt_tuning.py#L32"}}),Ke=new U({props:{name:"class peft.PromptEmbedding",anchor:"peft.PromptEmbedding",parameters:[{name:"config",val:""},{name:"word_embeddings",val:""}],parametersDescription:[{anchor:"peft.PromptEmbedding.config",description:'<strong>config</strong> (<a href="/docs/peft/main/en/package_reference/tuners#peft.PromptTuningConfig">PromptTuningConfig</a>) &#x2014; The configuration of the prompt embedding.',name:"config"},{anchor:"peft.PromptEmbedding.word_embeddings",description:"<strong>word_embeddings</strong> (<code>torch.nn.Module</code>) &#x2014; The word embeddings of the base transformer model.",name:"word_embeddings"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/prompt_tuning.py#L65"}}),Pe=new Lo({props:{anchor:"peft.PromptEmbedding.example",$$slots:{default:[Mi]},$$scope:{ctx:G}}}),{c(){g=a("meta"),x=p(),u=a("h1"),m=a("a"),v=a("span"),E(i.$$.fragment),_=p(),_t=a("span"),Co=o("Tuners"),Xn=p(),tt=a("p"),jo=o("Each tuner (or PEFT method) has a configuration and model."),Hn=p(),V=a("h2"),ae=a("a"),ut=a("span"),E(Ce.$$.fragment),wo=p(),vt=a("span"),Oo=o("LoRA"),Bn=p(),nt=a("p"),No=o("For finetuning a model with LoRA."),Wn=p(),X=a("div"),E(je.$$.fragment),So=p(),we=a("p"),zo=o("This is the configuration class to store the configuration of a "),ot=a("a"),Do=o("LoraModel"),Mo=o("."),Jn=p(),O=a("div"),E(Oe.$$.fragment),qo=p(),Et=a("p"),Ao=o("Creates Low Rank Adapter (Lora) model from a pretrained transformers model."),Io=p(),E(se.$$.fragment),Ro=p(),rt=a("p"),bt=a("strong"),Uo=o("Attributes"),Go=o(":"),Fo=p(),Ne=a("ul"),le=a("li"),$t=a("strong"),Qo=o("model"),Vo=o(" ("),Se=a("a"),Xo=o("PreTrainedModel"),Ho=o(") \u2014 The model to be adapted."),Bo=p(),ie=a("li"),Tt=a("strong"),Wo=o("peft_config"),Jo=o(" ("),at=a("a"),Ko=o("LoraConfig"),Yo=o("): The configuration of the Lora model."),Zo=p(),pe=a("div"),E(ze.$$.fragment),er=p(),yt=a("p"),tr=o(`This method merges the LoRa layers into the base model. This is needed if someone wants to use the base model
as a standalone model.`),Kn=p(),De=a("div"),E(Me.$$.fragment),Yn=p(),qe=a("div"),E(Ae.$$.fragment),Zn=p(),H=a("h2"),de=a("a"),Pt=a("span"),E(Ie.$$.fragment),nr=p(),Lt=a("span"),or=o("P-tuning"),eo=p(),B=a("div"),E(Re.$$.fragment),rr=p(),Ue=a("p"),ar=o("This is the configuration class to store the configuration of a "),st=a("a"),sr=o("PromptEncoder"),lr=o("."),to=p(),k=a("div"),E(Ge.$$.fragment),ir=p(),xt=a("p"),pr=o("The prompt encoder network that is used to generate the virtual token embeddings for p-tuning."),dr=p(),E(ce.$$.fragment),cr=p(),lt=a("p"),kt=a("strong"),fr=o("Attributes"),mr=o(":"),hr=p(),L=a("ul"),fe=a("li"),Ct=a("strong"),gr=o("embedding"),_r=o(" ("),jt=a("code"),ur=o("torch.nn.Embedding"),vr=o(") \u2014 The embedding layer of the prompt encoder."),Er=p(),F=a("li"),wt=a("strong"),br=o("mlp_head"),$r=o(" ("),Ot=a("code"),Tr=o("torch.nn.Sequential"),yr=o(") \u2014 The MLP head of the prompt encoder if "),Nt=a("code"),Pr=o("inference_mode=False"),Lr=o("."),xr=p(),D=a("li"),St=a("strong"),kr=o("lstm_head"),Cr=o(" ("),zt=a("code"),jr=o("torch.nn.LSTM"),wr=o(") \u2014 The LSTM head of the prompt encoder if "),Dt=a("code"),Or=o("inference_mode=False"),Nr=o(` and
`),Mt=a("code"),Sr=o('encoder_reparameterization_type="LSTM"'),zr=o("."),Dr=p(),me=a("li"),qt=a("strong"),Mr=o("token_dim"),qr=o(" ("),At=a("code"),Ar=o("int"),Ir=o(") \u2014 The hidden embedding dimension of the base transformer model."),Rr=p(),he=a("li"),It=a("strong"),Ur=o("input_size"),Gr=o(" ("),Rt=a("code"),Fr=o("int"),Qr=o(") \u2014 The input size of the prompt encoder."),Vr=p(),ge=a("li"),Ut=a("strong"),Xr=o("output_size"),Hr=o(" ("),Gt=a("code"),Br=o("int"),Wr=o(") \u2014 The output size of the prompt encoder."),Jr=p(),_e=a("li"),Ft=a("strong"),Kr=o("hidden_size"),Yr=o(" ("),Qt=a("code"),Zr=o("int"),ea=o(") \u2014 The hidden size of the prompt encoder."),ta=p(),ue=a("li"),Vt=a("strong"),na=o("total_virtual_tokens"),oa=o(" ("),Xt=a("code"),ra=o("int"),aa=o(`): The total number of virtual tokens of the
prompt encoder.`),sa=p(),Q=a("li"),Ht=a("strong"),la=o("encoder_type"),ia=o(" (Union["),Bt=a("code"),pa=o("PromptEncoderReparameterizationType"),da=o(", "),Wt=a("code"),ca=o("str"),fa=o(`]): The encoder type of the prompt
encoder.`),ma=p(),W=a("p"),ha=o("Input shape: ("),Jt=a("code"),ga=o("batch_size"),_a=o(", "),Kt=a("code"),ua=o("total_virtual_tokens"),va=o(")"),Ea=p(),A=a("p"),ba=o("Output shape: ("),Yt=a("code"),$a=o("batch_size"),Ta=o(", "),Zt=a("code"),ya=o("total_virtual_tokens"),Pa=o(", "),en=a("code"),La=o("token_dim"),xa=o(")"),no=p(),J=a("h2"),ve=a("a"),tn=a("span"),E(Fe.$$.fragment),ka=p(),nn=a("span"),Ca=o("Prefix tuning"),oo=p(),K=a("div"),E(Qe.$$.fragment),ja=p(),Ve=a("p"),wa=o("This is the configuration class to store the configuration of a "),it=a("a"),Oa=o("PrefixEncoder"),Na=o("."),ro=p(),C=a("div"),E(Xe.$$.fragment),Sa=p(),He=a("p"),za=o("The "),on=a("code"),Da=o("torch.nn"),Ma=o(" model to encode the prefix."),qa=p(),E(Ee.$$.fragment),Aa=p(),pt=a("p"),rn=a("strong"),Ia=o("Attributes"),Ra=o(":"),Ua=p(),Y=a("ul"),be=a("li"),an=a("strong"),Ga=o("embedding"),Fa=o(" ("),sn=a("code"),Qa=o("torch.nn.Embedding"),Va=o(") \u2014 The embedding layer of the prefix encoder."),Xa=p(),M=a("li"),ln=a("strong"),Ha=o("transform"),Ba=o(" ("),pn=a("code"),Wa=o("torch.nn.Sequential"),Ja=o(`) \u2014 The two-layer MLP to transform the prefix embeddings if
`),dn=a("code"),Ka=o("prefix_projection"),Ya=o(" is "),cn=a("code"),Za=o("True"),es=o("."),ts=p(),$e=a("li"),fn=a("strong"),ns=o("prefix_projection"),os=o(" ("),mn=a("code"),rs=o("bool"),as=o(") \u2014 Whether to project the prefix embeddings."),ss=p(),Z=a("p"),ls=o("Input shape: ("),hn=a("code"),is=o("batch_size"),ps=o(", "),gn=a("code"),ds=o("num_virtual_tokens"),cs=o(")"),fs=p(),I=a("p"),ms=o("Output shape: ("),_n=a("code"),hs=o("batch_size"),gs=o(", "),un=a("code"),_s=o("num_virtual_tokens"),us=o(", "),vn=a("code"),vs=o("2*layers*hidden"),Es=o(")"),ao=p(),ee=a("h2"),Te=a("a"),En=a("span"),E(Be.$$.fragment),bs=p(),bn=a("span"),$s=o("Prompt tuning"),so=p(),te=a("div"),E(We.$$.fragment),Ts=p(),Je=a("p"),ys=o("This is the configuration class to store the configuration of a "),dt=a("a"),Ps=o("PromptEmbedding"),Ls=o("."),lo=p(),j=a("div"),E(Ke.$$.fragment),xs=p(),$n=a("p"),ks=o("The model to encode virtual tokens into prompt embeddings."),Cs=p(),ct=a("p"),Tn=a("strong"),js=o("Attributes"),ws=o(":"),Os=p(),yn=a("ul"),ye=a("li"),Pn=a("strong"),Ns=o("embedding"),Ss=o(" ("),Ln=a("code"),zs=o("torch.nn.Embedding"),Ds=o(") \u2014 The embedding layer of the prompt embedding."),Ms=p(),E(Pe.$$.fragment),qs=p(),ne=a("p"),As=o("Input Shape: ("),xn=a("code"),Is=o("batch_size"),Rs=o(", "),kn=a("code"),Us=o("total_virtual_tokens"),Gs=o(")"),Fs=p(),R=a("p"),Qs=o("Output Shape: ("),Cn=a("code"),Vs=o("batch_size"),Xs=o(", "),jn=a("code"),Hs=o("total_virtual_tokens"),Bs=o(", "),wn=a("code"),Ws=o("token_dim"),Js=o(")"),this.h()},l(n){const c=Oi('[data-svelte="svelte-1phssyn"]',document.head);g=s(c,"META",{name:!0,content:!0}),c.forEach(t),x=d(n),u=s(n,"H1",{class:!0});var Ye=l(u);m=s(Ye,"A",{id:!0,class:!0,href:!0});var On=l(m);v=s(On,"SPAN",{});var Nn=l(v);b(i.$$.fragment,Nn),Nn.forEach(t),On.forEach(t),_=d(Ye),_t=s(Ye,"SPAN",{});var Sn=l(_t);Co=r(Sn,"Tuners"),Sn.forEach(t),Ye.forEach(t),Xn=d(n),tt=s(n,"P",{});var tl=l(tt);jo=r(tl,"Each tuner (or PEFT method) has a configuration and model."),tl.forEach(t),Hn=d(n),V=s(n,"H2",{class:!0});var po=l(V);ae=s(po,"A",{id:!0,class:!0,href:!0});var nl=l(ae);ut=s(nl,"SPAN",{});var ol=l(ut);b(Ce.$$.fragment,ol),ol.forEach(t),nl.forEach(t),wo=d(po),vt=s(po,"SPAN",{});var rl=l(vt);Oo=r(rl,"LoRA"),rl.forEach(t),po.forEach(t),Bn=d(n),nt=s(n,"P",{});var al=l(nt);No=r(al,"For finetuning a model with LoRA."),al.forEach(t),Wn=d(n),X=s(n,"DIV",{class:!0});var co=l(X);b(je.$$.fragment,co),So=d(co),we=s(co,"P",{});var fo=l(we);zo=r(fo,"This is the configuration class to store the configuration of a "),ot=s(fo,"A",{href:!0});var sl=l(ot);Do=r(sl,"LoraModel"),sl.forEach(t),Mo=r(fo,"."),fo.forEach(t),co.forEach(t),Jn=d(n),O=s(n,"DIV",{class:!0});var q=l(O);b(Oe.$$.fragment,q),qo=d(q),Et=s(q,"P",{});var ll=l(Et);Ao=r(ll,"Creates Low Rank Adapter (Lora) model from a pretrained transformers model."),ll.forEach(t),Io=d(q),b(se.$$.fragment,q),Ro=d(q),rt=s(q,"P",{});var Ks=l(rt);bt=s(Ks,"STRONG",{});var il=l(bt);Uo=r(il,"Attributes"),il.forEach(t),Go=r(Ks,":"),Ks.forEach(t),Fo=d(q),Ne=s(q,"UL",{});var mo=l(Ne);le=s(mo,"LI",{});var zn=l(le);$t=s(zn,"STRONG",{});var pl=l($t);Qo=r(pl,"model"),pl.forEach(t),Vo=r(zn," ("),Se=s(zn,"A",{href:!0,rel:!0});var dl=l(Se);Xo=r(dl,"PreTrainedModel"),dl.forEach(t),Ho=r(zn,") \u2014 The model to be adapted."),zn.forEach(t),Bo=d(mo),ie=s(mo,"LI",{});var Dn=l(ie);Tt=s(Dn,"STRONG",{});var cl=l(Tt);Wo=r(cl,"peft_config"),cl.forEach(t),Jo=r(Dn," ("),at=s(Dn,"A",{href:!0});var fl=l(at);Ko=r(fl,"LoraConfig"),fl.forEach(t),Yo=r(Dn,"): The configuration of the Lora model."),Dn.forEach(t),mo.forEach(t),Zo=d(q),pe=s(q,"DIV",{class:!0});var ho=l(pe);b(ze.$$.fragment,ho),er=d(ho),yt=s(ho,"P",{});var ml=l(yt);tr=r(ml,`This method merges the LoRa layers into the base model. This is needed if someone wants to use the base model
as a standalone model.`),ml.forEach(t),ho.forEach(t),q.forEach(t),Kn=d(n),De=s(n,"DIV",{class:!0});var hl=l(De);b(Me.$$.fragment,hl),hl.forEach(t),Yn=d(n),qe=s(n,"DIV",{class:!0});var gl=l(qe);b(Ae.$$.fragment,gl),gl.forEach(t),Zn=d(n),H=s(n,"H2",{class:!0});var go=l(H);de=s(go,"A",{id:!0,class:!0,href:!0});var _l=l(de);Pt=s(_l,"SPAN",{});var ul=l(Pt);b(Ie.$$.fragment,ul),ul.forEach(t),_l.forEach(t),nr=d(go),Lt=s(go,"SPAN",{});var vl=l(Lt);or=r(vl,"P-tuning"),vl.forEach(t),go.forEach(t),eo=d(n),B=s(n,"DIV",{class:!0});var _o=l(B);b(Re.$$.fragment,_o),rr=d(_o),Ue=s(_o,"P",{});var uo=l(Ue);ar=r(uo,"This is the configuration class to store the configuration of a "),st=s(uo,"A",{href:!0});var El=l(st);sr=r(El,"PromptEncoder"),El.forEach(t),lr=r(uo,"."),uo.forEach(t),_o.forEach(t),to=d(n),k=s(n,"DIV",{class:!0});var N=l(k);b(Ge.$$.fragment,N),ir=d(N),xt=s(N,"P",{});var bl=l(xt);pr=r(bl,"The prompt encoder network that is used to generate the virtual token embeddings for p-tuning."),bl.forEach(t),dr=d(N),b(ce.$$.fragment,N),cr=d(N),lt=s(N,"P",{});var Ys=l(lt);kt=s(Ys,"STRONG",{});var $l=l(kt);fr=r($l,"Attributes"),$l.forEach(t),mr=r(Ys,":"),Ys.forEach(t),hr=d(N),L=s(N,"UL",{});var w=l(L);fe=s(w,"LI",{});var Mn=l(fe);Ct=s(Mn,"STRONG",{});var Tl=l(Ct);gr=r(Tl,"embedding"),Tl.forEach(t),_r=r(Mn," ("),jt=s(Mn,"CODE",{});var yl=l(jt);ur=r(yl,"torch.nn.Embedding"),yl.forEach(t),vr=r(Mn,") \u2014 The embedding layer of the prompt encoder."),Mn.forEach(t),Er=d(w),F=s(w,"LI",{});var Ze=l(F);wt=s(Ze,"STRONG",{});var Pl=l(wt);br=r(Pl,"mlp_head"),Pl.forEach(t),$r=r(Ze," ("),Ot=s(Ze,"CODE",{});var Ll=l(Ot);Tr=r(Ll,"torch.nn.Sequential"),Ll.forEach(t),yr=r(Ze,") \u2014 The MLP head of the prompt encoder if "),Nt=s(Ze,"CODE",{});var xl=l(Nt);Pr=r(xl,"inference_mode=False"),xl.forEach(t),Lr=r(Ze,"."),Ze.forEach(t),xr=d(w),D=s(w,"LI",{});var oe=l(D);St=s(oe,"STRONG",{});var kl=l(St);kr=r(kl,"lstm_head"),kl.forEach(t),Cr=r(oe," ("),zt=s(oe,"CODE",{});var Cl=l(zt);jr=r(Cl,"torch.nn.LSTM"),Cl.forEach(t),wr=r(oe,") \u2014 The LSTM head of the prompt encoder if "),Dt=s(oe,"CODE",{});var jl=l(Dt);Or=r(jl,"inference_mode=False"),jl.forEach(t),Nr=r(oe,` and
`),Mt=s(oe,"CODE",{});var wl=l(Mt);Sr=r(wl,'encoder_reparameterization_type="LSTM"'),wl.forEach(t),zr=r(oe,"."),oe.forEach(t),Dr=d(w),me=s(w,"LI",{});var qn=l(me);qt=s(qn,"STRONG",{});var Ol=l(qt);Mr=r(Ol,"token_dim"),Ol.forEach(t),qr=r(qn," ("),At=s(qn,"CODE",{});var Nl=l(At);Ar=r(Nl,"int"),Nl.forEach(t),Ir=r(qn,") \u2014 The hidden embedding dimension of the base transformer model."),qn.forEach(t),Rr=d(w),he=s(w,"LI",{});var An=l(he);It=s(An,"STRONG",{});var Sl=l(It);Ur=r(Sl,"input_size"),Sl.forEach(t),Gr=r(An," ("),Rt=s(An,"CODE",{});var zl=l(Rt);Fr=r(zl,"int"),zl.forEach(t),Qr=r(An,") \u2014 The input size of the prompt encoder."),An.forEach(t),Vr=d(w),ge=s(w,"LI",{});var In=l(ge);Ut=s(In,"STRONG",{});var Dl=l(Ut);Xr=r(Dl,"output_size"),Dl.forEach(t),Hr=r(In," ("),Gt=s(In,"CODE",{});var Ml=l(Gt);Br=r(Ml,"int"),Ml.forEach(t),Wr=r(In,") \u2014 The output size of the prompt encoder."),In.forEach(t),Jr=d(w),_e=s(w,"LI",{});var Rn=l(_e);Ft=s(Rn,"STRONG",{});var ql=l(Ft);Kr=r(ql,"hidden_size"),ql.forEach(t),Yr=r(Rn," ("),Qt=s(Rn,"CODE",{});var Al=l(Qt);Zr=r(Al,"int"),Al.forEach(t),ea=r(Rn,") \u2014 The hidden size of the prompt encoder."),Rn.forEach(t),ta=d(w),ue=s(w,"LI",{});var Un=l(ue);Vt=s(Un,"STRONG",{});var Il=l(Vt);na=r(Il,"total_virtual_tokens"),Il.forEach(t),oa=r(Un," ("),Xt=s(Un,"CODE",{});var Rl=l(Xt);ra=r(Rl,"int"),Rl.forEach(t),aa=r(Un,`): The total number of virtual tokens of the
prompt encoder.`),Un.forEach(t),sa=d(w),Q=s(w,"LI",{});var et=l(Q);Ht=s(et,"STRONG",{});var Ul=l(Ht);la=r(Ul,"encoder_type"),Ul.forEach(t),ia=r(et," (Union["),Bt=s(et,"CODE",{});var Gl=l(Bt);pa=r(Gl,"PromptEncoderReparameterizationType"),Gl.forEach(t),da=r(et,", "),Wt=s(et,"CODE",{});var Fl=l(Wt);ca=r(Fl,"str"),Fl.forEach(t),fa=r(et,`]): The encoder type of the prompt
encoder.`),et.forEach(t),w.forEach(t),ma=d(N),W=s(N,"P",{});var ft=l(W);ha=r(ft,"Input shape: ("),Jt=s(ft,"CODE",{});var Ql=l(Jt);ga=r(Ql,"batch_size"),Ql.forEach(t),_a=r(ft,", "),Kt=s(ft,"CODE",{});var Vl=l(Kt);ua=r(Vl,"total_virtual_tokens"),Vl.forEach(t),va=r(ft,")"),ft.forEach(t),Ea=d(N),A=s(N,"P",{});var Le=l(A);ba=r(Le,"Output shape: ("),Yt=s(Le,"CODE",{});var Xl=l(Yt);$a=r(Xl,"batch_size"),Xl.forEach(t),Ta=r(Le,", "),Zt=s(Le,"CODE",{});var Hl=l(Zt);ya=r(Hl,"total_virtual_tokens"),Hl.forEach(t),Pa=r(Le,", "),en=s(Le,"CODE",{});var Bl=l(en);La=r(Bl,"token_dim"),Bl.forEach(t),xa=r(Le,")"),Le.forEach(t),N.forEach(t),no=d(n),J=s(n,"H2",{class:!0});var vo=l(J);ve=s(vo,"A",{id:!0,class:!0,href:!0});var Wl=l(ve);tn=s(Wl,"SPAN",{});var Jl=l(tn);b(Fe.$$.fragment,Jl),Jl.forEach(t),Wl.forEach(t),ka=d(vo),nn=s(vo,"SPAN",{});var Kl=l(nn);Ca=r(Kl,"Prefix tuning"),Kl.forEach(t),vo.forEach(t),oo=d(n),K=s(n,"DIV",{class:!0});var Eo=l(K);b(Qe.$$.fragment,Eo),ja=d(Eo),Ve=s(Eo,"P",{});var bo=l(Ve);wa=r(bo,"This is the configuration class to store the configuration of a "),it=s(bo,"A",{href:!0});var Yl=l(it);Oa=r(Yl,"PrefixEncoder"),Yl.forEach(t),Na=r(bo,"."),bo.forEach(t),Eo.forEach(t),ro=d(n),C=s(n,"DIV",{class:!0});var S=l(C);b(Xe.$$.fragment,S),Sa=d(S),He=s(S,"P",{});var $o=l(He);za=r($o,"The "),on=s($o,"CODE",{});var Zl=l(on);Da=r(Zl,"torch.nn"),Zl.forEach(t),Ma=r($o," model to encode the prefix."),$o.forEach(t),qa=d(S),b(Ee.$$.fragment,S),Aa=d(S),pt=s(S,"P",{});var Zs=l(pt);rn=s(Zs,"STRONG",{});var ei=l(rn);Ia=r(ei,"Attributes"),ei.forEach(t),Ra=r(Zs,":"),Zs.forEach(t),Ua=d(S),Y=s(S,"UL",{});var mt=l(Y);be=s(mt,"LI",{});var Gn=l(be);an=s(Gn,"STRONG",{});var ti=l(an);Ga=r(ti,"embedding"),ti.forEach(t),Fa=r(Gn," ("),sn=s(Gn,"CODE",{});var ni=l(sn);Qa=r(ni,"torch.nn.Embedding"),ni.forEach(t),Va=r(Gn,") \u2014 The embedding layer of the prefix encoder."),Gn.forEach(t),Xa=d(mt),M=s(mt,"LI",{});var re=l(M);ln=s(re,"STRONG",{});var oi=l(ln);Ha=r(oi,"transform"),oi.forEach(t),Ba=r(re," ("),pn=s(re,"CODE",{});var ri=l(pn);Wa=r(ri,"torch.nn.Sequential"),ri.forEach(t),Ja=r(re,`) \u2014 The two-layer MLP to transform the prefix embeddings if
`),dn=s(re,"CODE",{});var ai=l(dn);Ka=r(ai,"prefix_projection"),ai.forEach(t),Ya=r(re," is "),cn=s(re,"CODE",{});var si=l(cn);Za=r(si,"True"),si.forEach(t),es=r(re,"."),re.forEach(t),ts=d(mt),$e=s(mt,"LI",{});var Fn=l($e);fn=s(Fn,"STRONG",{});var li=l(fn);ns=r(li,"prefix_projection"),li.forEach(t),os=r(Fn," ("),mn=s(Fn,"CODE",{});var ii=l(mn);rs=r(ii,"bool"),ii.forEach(t),as=r(Fn,") \u2014 Whether to project the prefix embeddings."),Fn.forEach(t),mt.forEach(t),ss=d(S),Z=s(S,"P",{});var ht=l(Z);ls=r(ht,"Input shape: ("),hn=s(ht,"CODE",{});var pi=l(hn);is=r(pi,"batch_size"),pi.forEach(t),ps=r(ht,", "),gn=s(ht,"CODE",{});var di=l(gn);ds=r(di,"num_virtual_tokens"),di.forEach(t),cs=r(ht,")"),ht.forEach(t),fs=d(S),I=s(S,"P",{});var xe=l(I);ms=r(xe,"Output shape: ("),_n=s(xe,"CODE",{});var ci=l(_n);hs=r(ci,"batch_size"),ci.forEach(t),gs=r(xe,", "),un=s(xe,"CODE",{});var fi=l(un);_s=r(fi,"num_virtual_tokens"),fi.forEach(t),us=r(xe,", "),vn=s(xe,"CODE",{});var mi=l(vn);vs=r(mi,"2*layers*hidden"),mi.forEach(t),Es=r(xe,")"),xe.forEach(t),S.forEach(t),ao=d(n),ee=s(n,"H2",{class:!0});var To=l(ee);Te=s(To,"A",{id:!0,class:!0,href:!0});var hi=l(Te);En=s(hi,"SPAN",{});var gi=l(En);b(Be.$$.fragment,gi),gi.forEach(t),hi.forEach(t),bs=d(To),bn=s(To,"SPAN",{});var _i=l(bn);$s=r(_i,"Prompt tuning"),_i.forEach(t),To.forEach(t),so=d(n),te=s(n,"DIV",{class:!0});var yo=l(te);b(We.$$.fragment,yo),Ts=d(yo),Je=s(yo,"P",{});var Po=l(Je);ys=r(Po,"This is the configuration class to store the configuration of a "),dt=s(Po,"A",{href:!0});var ui=l(dt);Ps=r(ui,"PromptEmbedding"),ui.forEach(t),Ls=r(Po,"."),Po.forEach(t),yo.forEach(t),lo=d(n),j=s(n,"DIV",{class:!0});var z=l(j);b(Ke.$$.fragment,z),xs=d(z),$n=s(z,"P",{});var vi=l($n);ks=r(vi,"The model to encode virtual tokens into prompt embeddings."),vi.forEach(t),Cs=d(z),ct=s(z,"P",{});var el=l(ct);Tn=s(el,"STRONG",{});var Ei=l(Tn);js=r(Ei,"Attributes"),Ei.forEach(t),ws=r(el,":"),el.forEach(t),Os=d(z),yn=s(z,"UL",{});var bi=l(yn);ye=s(bi,"LI",{});var Qn=l(ye);Pn=s(Qn,"STRONG",{});var $i=l(Pn);Ns=r($i,"embedding"),$i.forEach(t),Ss=r(Qn," ("),Ln=s(Qn,"CODE",{});var Ti=l(Ln);zs=r(Ti,"torch.nn.Embedding"),Ti.forEach(t),Ds=r(Qn,") \u2014 The embedding layer of the prompt embedding."),Qn.forEach(t),bi.forEach(t),Ms=d(z),b(Pe.$$.fragment,z),qs=d(z),ne=s(z,"P",{});var gt=l(ne);As=r(gt,"Input Shape: ("),xn=s(gt,"CODE",{});var yi=l(xn);Is=r(yi,"batch_size"),yi.forEach(t),Rs=r(gt,", "),kn=s(gt,"CODE",{});var Pi=l(kn);Us=r(Pi,"total_virtual_tokens"),Pi.forEach(t),Gs=r(gt,")"),gt.forEach(t),Fs=d(z),R=s(z,"P",{});var ke=l(R);Qs=r(ke,"Output Shape: ("),Cn=s(ke,"CODE",{});var Li=l(Cn);Vs=r(Li,"batch_size"),Li.forEach(t),Xs=r(ke,", "),jn=s(ke,"CODE",{});var xi=l(jn);Hs=r(xi,"total_virtual_tokens"),xi.forEach(t),Bs=r(ke,", "),wn=s(ke,"CODE",{});var ki=l(wn);Ws=r(ki,"token_dim"),ki.forEach(t),Js=r(ke,")"),ke.forEach(t),z.forEach(t),this.h()},h(){h(g,"name","hf:doc:metadata"),h(g,"content",JSON.stringify(Ai)),h(m,"id","tuners"),h(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(m,"href","#tuners"),h(u,"class","relative group"),h(ae,"id","peft.LoraConfig"),h(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(ae,"href","#peft.LoraConfig"),h(V,"class","relative group"),h(ot,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraModel"),h(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Se,"href","https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),h(Se,"rel","nofollow"),h(at,"href","/docs/peft/main/en/package_reference/tuners#peft.LoraConfig"),h(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(de,"id","peft.PromptEncoderConfig"),h(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(de,"href","#peft.PromptEncoderConfig"),h(H,"class","relative group"),h(st,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEncoder"),h(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(ve,"id","peft.PrefixTuningConfig"),h(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(ve,"href","#peft.PrefixTuningConfig"),h(J,"class","relative group"),h(it,"href","/docs/peft/main/en/package_reference/tuners#peft.PrefixEncoder"),h(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(Te,"id","peft.PromptTuningConfig"),h(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Te,"href","#peft.PromptTuningConfig"),h(ee,"class","relative group"),h(dt,"href","/docs/peft/main/en/package_reference/tuners#peft.PromptEmbedding"),h(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,c){e(document.head,g),f(n,x,c),f(n,u,c),e(u,m),e(m,v),$(i,v,null),e(u,_),e(u,_t),e(_t,Co),f(n,Xn,c),f(n,tt,c),e(tt,jo),f(n,Hn,c),f(n,V,c),e(V,ae),e(ae,ut),$(Ce,ut,null),e(V,wo),e(V,vt),e(vt,Oo),f(n,Bn,c),f(n,nt,c),e(nt,No),f(n,Wn,c),f(n,X,c),$(je,X,null),e(X,So),e(X,we),e(we,zo),e(we,ot),e(ot,Do),e(we,Mo),f(n,Jn,c),f(n,O,c),$(Oe,O,null),e(O,qo),e(O,Et),e(Et,Ao),e(O,Io),$(se,O,null),e(O,Ro),e(O,rt),e(rt,bt),e(bt,Uo),e(rt,Go),e(O,Fo),e(O,Ne),e(Ne,le),e(le,$t),e($t,Qo),e(le,Vo),e(le,Se),e(Se,Xo),e(le,Ho),e(Ne,Bo),e(Ne,ie),e(ie,Tt),e(Tt,Wo),e(ie,Jo),e(ie,at),e(at,Ko),e(ie,Yo),e(O,Zo),e(O,pe),$(ze,pe,null),e(pe,er),e(pe,yt),e(yt,tr),f(n,Kn,c),f(n,De,c),$(Me,De,null),f(n,Yn,c),f(n,qe,c),$(Ae,qe,null),f(n,Zn,c),f(n,H,c),e(H,de),e(de,Pt),$(Ie,Pt,null),e(H,nr),e(H,Lt),e(Lt,or),f(n,eo,c),f(n,B,c),$(Re,B,null),e(B,rr),e(B,Ue),e(Ue,ar),e(Ue,st),e(st,sr),e(Ue,lr),f(n,to,c),f(n,k,c),$(Ge,k,null),e(k,ir),e(k,xt),e(xt,pr),e(k,dr),$(ce,k,null),e(k,cr),e(k,lt),e(lt,kt),e(kt,fr),e(lt,mr),e(k,hr),e(k,L),e(L,fe),e(fe,Ct),e(Ct,gr),e(fe,_r),e(fe,jt),e(jt,ur),e(fe,vr),e(L,Er),e(L,F),e(F,wt),e(wt,br),e(F,$r),e(F,Ot),e(Ot,Tr),e(F,yr),e(F,Nt),e(Nt,Pr),e(F,Lr),e(L,xr),e(L,D),e(D,St),e(St,kr),e(D,Cr),e(D,zt),e(zt,jr),e(D,wr),e(D,Dt),e(Dt,Or),e(D,Nr),e(D,Mt),e(Mt,Sr),e(D,zr),e(L,Dr),e(L,me),e(me,qt),e(qt,Mr),e(me,qr),e(me,At),e(At,Ar),e(me,Ir),e(L,Rr),e(L,he),e(he,It),e(It,Ur),e(he,Gr),e(he,Rt),e(Rt,Fr),e(he,Qr),e(L,Vr),e(L,ge),e(ge,Ut),e(Ut,Xr),e(ge,Hr),e(ge,Gt),e(Gt,Br),e(ge,Wr),e(L,Jr),e(L,_e),e(_e,Ft),e(Ft,Kr),e(_e,Yr),e(_e,Qt),e(Qt,Zr),e(_e,ea),e(L,ta),e(L,ue),e(ue,Vt),e(Vt,na),e(ue,oa),e(ue,Xt),e(Xt,ra),e(ue,aa),e(L,sa),e(L,Q),e(Q,Ht),e(Ht,la),e(Q,ia),e(Q,Bt),e(Bt,pa),e(Q,da),e(Q,Wt),e(Wt,ca),e(Q,fa),e(k,ma),e(k,W),e(W,ha),e(W,Jt),e(Jt,ga),e(W,_a),e(W,Kt),e(Kt,ua),e(W,va),e(k,Ea),e(k,A),e(A,ba),e(A,Yt),e(Yt,$a),e(A,Ta),e(A,Zt),e(Zt,ya),e(A,Pa),e(A,en),e(en,La),e(A,xa),f(n,no,c),f(n,J,c),e(J,ve),e(ve,tn),$(Fe,tn,null),e(J,ka),e(J,nn),e(nn,Ca),f(n,oo,c),f(n,K,c),$(Qe,K,null),e(K,ja),e(K,Ve),e(Ve,wa),e(Ve,it),e(it,Oa),e(Ve,Na),f(n,ro,c),f(n,C,c),$(Xe,C,null),e(C,Sa),e(C,He),e(He,za),e(He,on),e(on,Da),e(He,Ma),e(C,qa),$(Ee,C,null),e(C,Aa),e(C,pt),e(pt,rn),e(rn,Ia),e(pt,Ra),e(C,Ua),e(C,Y),e(Y,be),e(be,an),e(an,Ga),e(be,Fa),e(be,sn),e(sn,Qa),e(be,Va),e(Y,Xa),e(Y,M),e(M,ln),e(ln,Ha),e(M,Ba),e(M,pn),e(pn,Wa),e(M,Ja),e(M,dn),e(dn,Ka),e(M,Ya),e(M,cn),e(cn,Za),e(M,es),e(Y,ts),e(Y,$e),e($e,fn),e(fn,ns),e($e,os),e($e,mn),e(mn,rs),e($e,as),e(C,ss),e(C,Z),e(Z,ls),e(Z,hn),e(hn,is),e(Z,ps),e(Z,gn),e(gn,ds),e(Z,cs),e(C,fs),e(C,I),e(I,ms),e(I,_n),e(_n,hs),e(I,gs),e(I,un),e(un,_s),e(I,us),e(I,vn),e(vn,vs),e(I,Es),f(n,ao,c),f(n,ee,c),e(ee,Te),e(Te,En),$(Be,En,null),e(ee,bs),e(ee,bn),e(bn,$s),f(n,so,c),f(n,te,c),$(We,te,null),e(te,Ts),e(te,Je),e(Je,ys),e(Je,dt),e(dt,Ps),e(Je,Ls),f(n,lo,c),f(n,j,c),$(Ke,j,null),e(j,xs),e(j,$n),e($n,ks),e(j,Cs),e(j,ct),e(ct,Tn),e(Tn,js),e(ct,ws),e(j,Os),e(j,yn),e(yn,ye),e(ye,Pn),e(Pn,Ns),e(ye,Ss),e(ye,Ln),e(Ln,zs),e(ye,Ds),e(j,Ms),$(Pe,j,null),e(j,qs),e(j,ne),e(ne,As),e(ne,xn),e(xn,Is),e(ne,Rs),e(ne,kn),e(kn,Us),e(ne,Gs),e(j,Fs),e(j,R),e(R,Qs),e(R,Cn),e(Cn,Vs),e(R,Xs),e(R,jn),e(jn,Hs),e(R,Bs),e(R,wn),e(wn,Ws),e(R,Js),io=!0},p(n,[c]){const Ye={};c&2&&(Ye.$$scope={dirty:c,ctx:n}),se.$set(Ye);const On={};c&2&&(On.$$scope={dirty:c,ctx:n}),ce.$set(On);const Nn={};c&2&&(Nn.$$scope={dirty:c,ctx:n}),Ee.$set(Nn);const Sn={};c&2&&(Sn.$$scope={dirty:c,ctx:n}),Pe.$set(Sn)},i(n){io||(T(i.$$.fragment,n),T(Ce.$$.fragment,n),T(je.$$.fragment,n),T(Oe.$$.fragment,n),T(se.$$.fragment,n),T(ze.$$.fragment,n),T(Me.$$.fragment,n),T(Ae.$$.fragment,n),T(Ie.$$.fragment,n),T(Re.$$.fragment,n),T(Ge.$$.fragment,n),T(ce.$$.fragment,n),T(Fe.$$.fragment,n),T(Qe.$$.fragment,n),T(Xe.$$.fragment,n),T(Ee.$$.fragment,n),T(Be.$$.fragment,n),T(We.$$.fragment,n),T(Ke.$$.fragment,n),T(Pe.$$.fragment,n),io=!0)},o(n){y(i.$$.fragment,n),y(Ce.$$.fragment,n),y(je.$$.fragment,n),y(Oe.$$.fragment,n),y(se.$$.fragment,n),y(ze.$$.fragment,n),y(Me.$$.fragment,n),y(Ae.$$.fragment,n),y(Ie.$$.fragment,n),y(Re.$$.fragment,n),y(Ge.$$.fragment,n),y(ce.$$.fragment,n),y(Fe.$$.fragment,n),y(Qe.$$.fragment,n),y(Xe.$$.fragment,n),y(Ee.$$.fragment,n),y(Be.$$.fragment,n),y(We.$$.fragment,n),y(Ke.$$.fragment,n),y(Pe.$$.fragment,n),io=!1},d(n){t(g),n&&t(x),n&&t(u),P(i),n&&t(Xn),n&&t(tt),n&&t(Hn),n&&t(V),P(Ce),n&&t(Bn),n&&t(nt),n&&t(Wn),n&&t(X),P(je),n&&t(Jn),n&&t(O),P(Oe),P(se),P(ze),n&&t(Kn),n&&t(De),P(Me),n&&t(Yn),n&&t(qe),P(Ae),n&&t(Zn),n&&t(H),P(Ie),n&&t(eo),n&&t(B),P(Re),n&&t(to),n&&t(k),P(Ge),P(ce),n&&t(no),n&&t(J),P(Fe),n&&t(oo),n&&t(K),P(Qe),n&&t(ro),n&&t(C),P(Xe),P(Ee),n&&t(ao),n&&t(ee),P(Be),n&&t(so),n&&t(te),P(We),n&&t(lo),n&&t(j),P(Ke),P(Pe)}}}const Ai={local:"tuners",sections:[{local:"peft.LoraConfig",title:"LoRA"},{local:"peft.PromptEncoderConfig",title:"P-tuning"},{local:"peft.PrefixTuningConfig",title:"Prefix tuning"},{local:"peft.PromptTuningConfig",title:"Prompt tuning"}],title:"Tuners"};function Ii(G){return Ni(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vi extends Ci{constructor(g){super();ji(this,g,Ii,qi,wi,{})}}export{Vi as default,Ai as metadata};
